Wed Dec 12 12:30:32 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * VERSION:
          Updated the version to 1.2. (Thanks to Garth Watney 
          <Garth.J.Watney@jpl.nasa.gov> for pointing out this
          oversight.)

        * THANKS:
          Added Garth Watney <Garth.J.Watney@jpl.nasa.gov>.

Thu Oct  4 10:03:27 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/vxworks/pthread.c:
        * pace/vxworks/pthread.h:
        * pace/vxworks/pthread.inl:
        * pace/vxworks/types.h:
          Changed default stack size, moved pthread_self from .inl
          to .c file, and removed redundant code for C vs C++
          signatures.

        * tests/Cond_Var_Test.c:
        * tests/Makefile:
        * tests/Pthreads_Test.c:
          Modified tests to take out gratuitous print statements.
          These tests should now only print out statements when
          there is an error (like the ACE and TAO tests).

        * tests/README:
          Added comment about mqueue_test needing input.

        * tests/Pthread_Storage_Test.c:
        * tests/Stat_Test.c:
          Added new tests for thread-specific storage and for some
          functions typically declared in the stat.h file.

Tue Sep  4 16:23:46 2001  Joe Hoffert  <joeh@cs.wustl.edu>

	* tests/vxworks_stub.c: 
	* tests/Cond_Var_Test.c: 
	  Rectified warnings about type of argc.

Tue Sep  4 15:26:46 2001  Joe Hoffert  <joeh@cs.wustl.edu>

	* tests/Cond_Var_Test.c: 
	  Cleanup up unused variables and signed type on argc.

	* tests/Makefile: 
	  Corrected inclusion of BIN2 - executables that aren't
	  always included - for non VxWorks platforms.

Tue Sep  4 09:15:00 2001  Joe Hoffert  <joeh@cs.wustl.edu>

	* tests/Pthreads_Test.c: 
	  Moved PACE_UNUSED_ARG to after declaration of variables.

Tue Sep  4 08:55:02 2001  Joe Hoffert  <joeh@cs.wustl.edu>

	* tests/Cond_Var_Test.c: 
	  Added test for condition variables.

Tue Sep  4 08:36:13 2001  Joe Hoffert  <joeh@cs.wustl.edu>

	* tests/vxworks_stub.c: 
	  Added call to pacevx_vxworks_init to initialize the
	  main thread.

	* tests/Pthreads_Test.c (main): 
	  Moved PACE_UNUSED_ARG to beginning of main.

	* tests/Makefile: 
	  Makefile doesn't build Posix_SP_Test on VxWorks. The
	  test doesn't compile (which is actually the test for
	  certain #defines).

	* pace/pthread.h: 
	  Added #define PACE_PTHREAD_MUTEX_INITIALIZER 
	  PTHREAD_MUTEX_INITIALIZER

Fri Aug 31 16:48:10 2001  Joe Hoffert  <joeh@cs.wustl.edu>

	* pace/vxworks/types.h: 
	  Removed extraneous blank lines.

	* pace/vxworks/pthread.inl: 
	  Cleaned up comment for popping cleanup routines.

	* pace/vxworks/pthread.c: 
	  Removed duplicate code (for C and C++) and fixed
	  VxWorks unld errors by making the main thread detached
	  and unregistering the cleanup function when the
	  last non-main thread is done.

	* pace/vxworks/pthread.h: 
	  Added PACE_PTHREAD_MUTEX_INITIALIZER initializer.

Fri Aug 24 08:24:43 2001  Joe Hoffert  <joeh@cs.wustl.edu>

	* pace/vxworks/stdio.inl: 
	* pace/vxworks/pthread.c: 
	  Added spaces between function name and argument list
	  for some functions since fuzz was complaining about
	  it.

Wed Aug 22 12:30:25 2001  Joe Hoffert  <joeh@cs.wustl.edu>

	* pace/win32/pace_lib.dsp: 
	  Added #define PACE_AS_STATIC_LIBS to static debug
	  build be consistent with ACE and TAO project files.
	  It was mistakenly just added for the static release
	  build previously.

Wed Aug 22 12:16:30 2001  Joe Hoffert  <joeh@cs.wustl.edu>

	* pace/win32/pace_lib.dsp: 
	  Added #define PACE_AS_STATIC_LIBS to be consistent
	  with ACE and TAO project files.

	* pace/win32/pace_dll.dsp: 
	  Added #define PACE_BUILD_DLL and removed #define
	  PACE_DLL_EXPORTS to be consistent with ACE and TAO
	  project files.

Wed Aug 22 12:05:27 2001  Joe Hoffert  <joeh@cs.wustl.edu>

	* pace/config/constants.h: 
	  Removed PACE_HAS_DLL and PACE_Export #defines since
	  these are now implemented appropriately for PACE
	  in pace/config/config.h.

Wed Aug 22 09:04:28 2001  Joe Hoffert  <joeh@cs.wustl.edu>

	* Makefile: 
	  Took away restriction for VxWorks since we now support
	  that OS.

	* include/makeinclude/rules.common.GNU: 
	  Added check for pace_tracing set to 1 and included the
	  appropriate -DPACE_TRACING if set.

	* pace/Makefile: 
	  Changed absolute path of $(ACE_ROOT)/PACE to $(PACE_ROOT)
	  to include rules.common.GNU and defined PACE_ROOT to be
	  $(ACE_ROOT)/PACE if not already defined. This is needed
	  for the DII COE work since there the PACE files are not
	  necessarily underneath the ACE files.

	* pace/aio.h: 
	* pace/ctype.h: 
	* pace/dirent.h: 
	* pace/fcntl.h: 
	* pace/grp.h: 
	* pace/locale.h: 
	* pace/math.h: 
	* pace/mqueue.h: 
	* pace/pthread.h: 
	* pace/pwd.h: 
	* pace/sched.h: 
	* pace/semaphore.h: 
	* pace/setjmp.h: 
	* pace/signal.h: 
	* pace/stdio.h: 
	* pace/stdlib.h: 
	* pace/string.h: 
	* pace/termios.h: 
	* pace/time.h: 
	* pace/unistd.h: 
	* pace/utime.h: 
	* pace/sys/mman.h: 
	* pace/sys/socket.h: 
	* pace/sys/stat.h: 
	* pace/sys/times.h: 
	* pace/sys/utsname.h: 
	* pace/sys/wait.h: 
	  Added PACE_Export to all function declarations -
	  for Windows DLL builds.

	* pace/config/config.h: 
	  Added PACE_Export #define to go away for non-Windows
	  platforms and to be appropriate for a DLL - using dllexport
	  - or for an application or DLL that including these functions
	  - using dllimport.

	* pace/config/constants.h: 
	  Moved PACE_TRACE define to utility.h.

	* pace/config/features.h: 
	  Removed extraneous lines at end of file.

	* pace/config/utility.h: 
	  Moved PACE_TRACE define from constants.h to here -
	  and made it to be turned on or off by setting pace_tracing
	  to 1.

	* pace/vxworks/pthread.c: 
	  Added PACE_TRACE tracing and renamed pace_pthread*
	  functions to pthread* functions. This will allow
	  the compiler to flag us - with an error - when these
	  functions are implemented and we can then remove
	  our emulation code.

	* pace/vxworks/pthread.h: 
	  Added declarations for all the POSIX Pthread
	  functions that VxWorks doesn't support - and
	  which we emulate in pthread.c.

	* pace/vxworks/pthread.inl: 
	  Added PACE_TRACE tracing and added calls to POSIX
	  routines which get emulated in pthread.c.

	* pace/vxworks/aio.inl: 
	* pace/vxworks/ctype.inl: 
	* pace/vxworks/dirent.inl: 
	* pace/vxworks/fcntl.inl: 
	* pace/vxworks/grp.inl: 
	* pace/vxworks/locale.inl: 
	* pace/vxworks/math.inl: 
	* pace/vxworks/mman.inl: 
	* pace/vxworks/mqueue.inl: 
	* pace/vxworks/pwd.inl: 
	* pace/vxworks/sched.inl: 
	* pace/vxworks/semaphore.inl: 
	* pace/vxworks/setjmp.inl: 
	* pace/vxworks/signal.inl: 
	* pace/vxworks/socket.inl: 
	* pace/vxworks/stat.inl: 
	* pace/vxworks/stdio.inl: 
	* pace/vxworks/stdlib.inl: 
	* pace/vxworks/string.inl: 
	* pace/vxworks/termios.inl: 
	* pace/vxworks/time.inl: 
	* pace/vxworks/times.inl: 
	* pace/vxworks/unistd.inl: 
	* pace/vxworks/utime.inl: 
	* pace/vxworks/wait.inl: 
	  Added PACE_TRACE tracing.

	* pace/vxworks/utsname.inl: 
	  Added PACE_TRACE tracing and added OS version for
	  release name.

	* tests/Makefile: 
	  Cleaned up a dangling continuation line and added comment
	  about building Posix_SP_Test last since it may not even
	  compile ( which is actually the tests).

	* tests/Posix_SP_Test.c: 
	* tests/Pthreads_Test.c: 
	* tests/mqueue_test.c: 
	  Included vxworks_stub.c file to build for VxWorks.

	* tests/Stdio_Test.c: 
	  Included vxworks_stub.c file to build for VxWorks and
	  unlinked temporary file when done.

	* tests/vxworks_stub.c: 
	  Added this file to encapsulate the machinations needed
	  to get the tests to build for VxWorks.

Fri Jul 20 15:53:56 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/win32/string.c (strtok_r):
          Fixed problems with reference to ACE_OS and some C++
          incongruities.

Fri Jul 20 15:44:02 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/win32/string.h: 

        * pace/win32/string.inl (strtok_r): 

        * pace/win32/string.c (strtok_r):
          Added support for strtok_r. Stole code from ACE_OS_String.
          Was causing a problem with the TAO IDL compiler. 

Tue Jul 10 10:43:38 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * Makefile: 
          Changed default definition of PACE_ROOT to be $ACE_ROOT/PACE
          rather than $ACE_ROOT/pace.

Mon Jul  9 15:53:43 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * tests/Stdio_Test.c: 
          Added directives to compile test for VxWorks, e.g. calling
          spa and having it call ace_main (borrowed from ACE_OS).

        * tests/Pthreads_Test.c: 
        * tests/Makefile: 
          Added Pthreads_Test to test POSIX threads (at least
          minimally).

Mon Jul  9 15:39:26 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/vxworks/utsname.h: 
          VxWorks does not have a utsname.h so remove it from being
          included.

        * pace/vxworks/signal.inl:
          Fixed call to sigwait. Used call to sigtimedwait (as ACE
          does) since sigwait doesn't appear to be supported by
          VxWorks.

        * pace/vxworks/pthread.inl: 
          Moved some functions from inline to non-inline.

        * pace/vxworks/pthread.c:
          Moved some functions from inline to non-inline.

        * pace/pthread.h: 
          Changed some functions from inline to non-inline for
          VxWorks.

        * pace/fcntl.h:
          Added appropriate return for pace_fcntl on VxWorks.

Fri Jun 29 15:52:28 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/config/platform.h: 
          Remove "#error "Here in platform.h for Win32" message.

Tue Jun 12 14:46:48 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/vxworks/unistd.inl: 
          Added cast for non-const char*.

        * pace/vxworks/time.inl: 
          Removed declaration of errno.

        * pace/vxworks/pthread.inl: 
        * pace/vxworks/pthread.h: 
        * pace/vxworks/pthread.c: 
          Added supported for pthreads. The vast majority of this code
          was donated by Hughes Network Systems via Braeton Taylor
          <btaylor@hns.com>.

        * pace/config/config.h: 

        * pace/pthread.h: 
          With the addition of VxWorks not all PACE functions are inlined
          now. Added #if !(PACE_VXWORKS) to handle this.

        * THANKS: 
          Added Braeton Taylor of Hughes Network Systems for his
          contribution of pthread code for VxWorks.

Fri Jun  1 15:38:45 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/vxworks/aio.c: 
        * pace/vxworks/aio.inl: 
        * pace/vxworks/aio.h: 
        * pace/vxworks/assert.c: 
        * pace/vxworks/assert.inl: 
        * pace/vxworks/assert.h: 
        * pace/vxworks/ctype.c: 
        * pace/vxworks/ctype.h: 
        * pace/vxworks/ctype.inl: 
        * pace/vxworks/dirent.c: 
        * pace/vxworks/dirent.h: 
        * pace/vxworks/dirent.inl: 
        * pace/vxworks/errno.h: 
        * pace/vxworks/fcntl.c: 
        * pace/vxworks/fcntl.h: 
        * pace/vxworks/fcntl.inl: 
        * pace/vxworks/grp.c: 
        * pace/vxworks/grp.h: 
        * pace/vxworks/grp.inl: 
        * pace/vxworks/limits.h: 
        * pace/vxworks/locale.c: 
        * pace/vxworks/locale.h: 
        * pace/vxworks/locale.inl: 
        * pace/vxworks/math.c: 
        * pace/vxworks/math.h: 
        * pace/vxworks/math.inl: 
        * pace/vxworks/mman.c: 
        * pace/vxworks/mman.h: 
        * pace/vxworks/mman.inl: 
        * pace/vxworks/mqueue.c: 
        * pace/vxworks/mqueue.h: 
        * pace/vxworks/pthread.c: 
        * pace/vxworks/pthread.h: 
        * pace/vxworks/pthread.inl: 
        * pace/vxworks/pwd.c: 
        * pace/vxworks/pwd.h: 
        * pace/vxworks/pwd.inl: 
        * pace/vxworks/sched.c: 
        * pace/vxworks/sched.h: 
        * pace/vxworks/sched.inl: 
        * pace/vxworks/semaphore.c: 
        * pace/vxworks/semaphore.h: 
        * pace/vxworks/semaphore.inl: 
        * pace/vxworks/setjmp.c: 
        * pace/vxworks/setjmp.h: 
        * pace/vxworks/setjmp.inl: 
        * pace/vxworks/signal.c: 
        * pace/vxworks/signal.h: 
        * pace/vxworks/signal.inl: 
        * pace/vxworks/socket.c: 
        * pace/vxworks/socket.h: 
        * pace/vxworks/socket.inl: 
        * pace/vxworks/stat.c: 
        * pace/vxworks/stat.h: 
        * pace/vxworks/stat.inl: 
        * pace/vxworks/stdio.c: 
        * pace/vxworks/stdio.h: 
        * pace/vxworks/stdio.inl: 
        * pace/vxworks/stdlib.c: 
        * pace/vxworks/stdlib.h: 
        * pace/vxworks/stdlib.inl: 
        * pace/vxworks/string.c: 
        * pace/vxworks/string.h: 
        * pace/vxworks/string.inl: 
        * pace/vxworks/termios.c: 
        * pace/vxworks/termios.h: 
        * pace/vxworks/termios.inl: 
        * pace/vxworks/time.c: 
        * pace/vxworks/time.h: 
        * pace/vxworks/time.inl: 
        * pace/vxworks/times.c: 
        * pace/vxworks/times.h: 
        * pace/vxworks/times.inl: 
        * pace/vxworks/types.h: 
        * pace/vxworks/unistd.c: 
        * pace/vxworks/unistd.h: 
        * pace/vxworks/unistd.inl: 
        * pace/vxworks/utime.c: 
        * pace/vxworks/utime.h: 
        * pace/vxworks/utime.inl: 
        * pace/vxworks/utsname.c: 
        * pace/vxworks/utsname.h: 
        * pace/vxworks/utsname.inl: 
        * pace/vxworks/wait.c: 
        * pace/vxworks/wait.h: 
        * pace/vxworks/wait.inl: 
          Added these files for the VxWorks port of PACE.

Mon May 14 12:55:33 2001  Joe Hoffert  <joeh@cs.wustl.edu>

	* docs/www/pace-car.html:

	  Deleted this file since it comflicts with PACE-car.html on
          file systems that are not case-sensitive. (It also appears
          to be a duplicate file.)

Sun May 13 14:42:11 2001  Luther J Baker  <luther@cs.wustl.edu>

	* docs/www/*:

	  Basic Web Site added to the repo.

Sun May 13 14:18:34 2001  Luther J Baker  <luther@cs.wustl.edu>

	* docs/index.html:
	* docs/overview.html:
	* docs/legend.html:
	* docs/todo.html:	
	* docs/PACE_POSIX_support.txt:

	  Superfluous files removed.

	* docs/README:	

	  Added identification line of text.

Mon Apr 23 10:43:23 2001  Carlos O'Ryan  <coryan@uci.edu>

        * pace/config/compiler.h:
          Reverted on of Cristian's changes.  He agrees that it is not
          worthwhile to use the C9X 'inline' feature when only a few
          versions of gcc support it, while inlining static functions with
          -O3 is supported by all versions.

Mon Apr 23 09:45:13 2001  Carlos O'Ryan  <coryan@uci.edu>

        * pace/win32/pthread.c (pthread_getschedparam):
          Fixed syntax error, thanks to Cristian Ferretti
          <cristian_ferretti@yahoo.com> for keeping track of the builds
          and providing the patch.

Sun Apr 22 18:53:28 2001  Carlos O'Ryan  <coryan@uci.edu>

        * pace/win32/ctype.h:
          ctype.inl is already #included in pace/ctype.h, no need to
          #include it again.

Sun Apr 22 15:03:11 2001  Carlos O'Ryan  <coryan@uci.edu>

        * pace/ctype.h:
          Add missing #includes that were causing compilation warnings.

Sat Apr 21 17:37:40 2001  Carlos O'Ryan  <coryan@uci.edu>

        * pace/win32/socket.inl:
        * pace/win32/socket.c:
          Make Fuzz happy, some RCS ids went missing.

Sat Apr 21 15:31:27 2001  Carlos O'Ryan  <coryan@uci.edu>

        * PACE/pace/ctype.h:
        * PACE/pace/config/compiler.h:
        * PACE/pace/config/platform.h:
        * PACE/pace/win32/pthread.c:
        * PACE/pace/win32/pthread.inl:
        * PACE/pace/win32/semaphore.c:
        * PACE/pace/win32/semaphore.h:
        * PACE/pace/win32/signal.inl:
        * PACE/pace/win32/socket.c:
        * PACE/pace/win32/socket.h:
        * PACE/pace/win32/socket.inl:
        * PACE/pace/win32/stdlib.inl:
        * PACE/pace/win32/unistd.h:
        * PACE/pace/win32/unistd.inl:
        * PACE/pace/win32/utime.c:
        * PACE/pace/win32/utsname.c:
        * PACE/pace/win32/utsname.inl:
        * PACE/pace/win32/wait.inl:
          Add support for mingw (www.mingw.org) and partial support for
          cygwin (http://cygwin.com/).  Many thanks to Cristian Ferretti
          <cristian_ferretti@yahoo.com>

Mon Apr 16 16:17:35 2001  Carlos O'Ryan  <coryan@uci.edu>

        * pace/posix/socket.h:
        * pace/config/platform.h:
        * include/makeinclude/rules.common.GNU:
          Add support for QNX, it behaves like other POSIX platforms.

Wed Mar 21 09:26:38 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/posix/socket.h:
          Added typedef of pace_socklen_t to int for Solaris 5.6. Thanks
          to Lu Yunhai <luyunhai@huawei.com> for this solution.

Mon Mar 19 16:56:47 2001  Luther Baker  <luther@cs.wustl.edu>

        * pace/win32/unistd.c:
        * pace/win32/unistd.inl:
        * pace/win32/stdio.c:
        * pace/win32/time.inl:
          Removed ::MsvcFoo punctuation. Since PACE is a c-library,
          it doesn't recognize this C++ism. (::)

        * pace/win32/unistd.h:
          Added signature for pace_win32_read (needs to be visible
          before unistd.inl).

Tue Mar 13 12:58:09 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/win32/setjmp.inl:
          Removed function calls to setjmp and sigsetjmp since
          these are now macros.

        * pace/win32/stdio.c:
          Adding pace_win32_fseek function to support pace_fseek.

        * pace/win32/time.inl:
          Adding support for tzset for Windows.

        * pace/win32/unistd.c:
          Adding call to pace_win32_read function and cleaned up
          pace_write code.

        * pace/win32/unistd.inl:
          Adding pace_win32_read function to support pace_read.

Wed Feb 28 15:04:41 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/posix/string.inl (pace_strtok_r):
          Added call to strtok_r for Lynx and SunOS since it is
          supported but PACE_HAS_REENTRANT doesn't get defined
          for them.

        * pace/posix/setjmp.inl:
        * pace/setjmp.h:
          Changed setjmp and sigsetjmp from functions to macros since
          the functions were causing warnings on linux (Red Hat 7).

        * include/makeinclude/rules.common.GNU:
          Added support for Solaris 8

Fri Feb  9 19:35:29 2001  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/compiler.h
        * pace/config/utility.h
        * pace/config/fcntl.h
        * pace/win32/mman.inl
        * pace/win32/pthread.h
        * pace/win32/semaphore.inl
        * pace/win32/stat.inl
        * pace/win32/stdio.inl
        * pace/win32/types.h
        * pace/win32/unistd.inl
        * pace/win32/utime.h
        * pace/win32/utime.inl

          Thanks to Christopher Kohlhoff <chris@kohlhoff.com>
          for making the changes necessary to port PACE to
          Borland C++ Builder 5.

Thu Feb  1 17:36:24 2001  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/signal.h (PACE_SIGSET_T):
        * pace/win32/signal.inl (pace_sigfillset):

          Used ACE implementation.

Sun Jan 28 13:20:28 2001  Luther J Baker  <luther@cs.wustl.edu>

        * pace/posix/unistd.inl (pace_getlogin_r):

          Changed C++ style comments to C.

Thu Jan 25 17:26:41 2001  Luther J Baker  <luther@cs.wustl.edu>

        * pace/posix/unistd.inl (pace_access):

          Yet another change to the illustrious function.
          Let it be noted that there needs to be a better test for
          the _REENTRANT policy. Linux supports 'these' calls but
          is currently forced to the emulation code.

          The #if (PACE_SUNOS) || (PACE_LYNXOS) should not be here.
          Instead, there should be a simple test like PACE_HAS_REENTRANT
          or something even higher (such as in ACE: ACE_MT_SAFE).

Tue Jan 23 14:56:51 2001  Luther J Baker  <luther@cs.wustl.edu>

        * pace/posix/unistd.inl (pace_getlogin_r):

          Rewrote code and based preprocessor selection on
          PACE_HAS_REENTRANT as opposed to PACE_LYNXOS, PACE_SUNOS
          on an otherwise defined platform macro.

Fri Jan 19 12:43:27 2001  Priyanka Gontla  <pgontla@ece.uci.edu>

        * pace/posix/socket.h:
          Added a check for HPUX so that pace_family_t is not defined for
          HPUX.

Thu Jan 18 15:22:07 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * tests/Stdio_Test.c (main):
          Removed SLEEPTIME constant since it isn't always used.

        * pace/emulation/mqueue.c:
          Added char* casts from malloc and mmap calls.

        * pace/posix/unistd.inl (pace_getlogin_r):
          Changed from POSIX User Group Unit of Functionality to
          User Group Reentrant Unit of Functionality.

        * pace/posix/sched.inl (pace_sched_rr_get_interval):
          SunOS 5.5.1 uses sched_get_rr_get_interval rather than
          sched_rr_get_interval.

        * pace/posix/socket.h:
          Fixed problems with SunOS 5.5.1 support (i.e., doesn't
          use socklen_t structs - it uses ints instead - and it
          doesn't use family_t structs at all.)

Mon Jan 15 10:44:39 2001  Darrell Brunsch <brunsch@uci.edu>

        * tests/tests.dsw:

          Added dependencies between the projects.

        * pace/win32/pace_dll.dsp:
        * pace/win32/pace_lib.dsp:
        * tests/test_stdio.dsp:

          - Fixed the intermediate and output directories to
            fit the model used in ACE.

          - Changed the names of the two pace* projects so
            msvc_auto_compile.pl will be able to recognize
            them as libraries.

          - Added two new configurations to test_stdio so it
            now can link to both the dynamic and static
            version of PACE.

          - Changed the configuration name of the static
            projects to Win32 Static Release and Debug

Mon Jan 15 10:32:19 2001  Carlos O'Ryan  <coryan@uci.edu>

        * pace/setjmp.h:
          The 'extern "C"' block was closed twice, making KCC unhappy.

Mon Jan 15 10:20:55 2001  Carlos O'Ryan  <coryan@uci.edu>

        * pace/posix/socket.c:
          Change #include from "pace/posix/sys/socket.inl" to
          "pace/posix/socket.inl", the former does not exist and the
          program fails to compile.
          Only detected in builds with inline=0

Fri Jan 12 07:35:31 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * Makefile:
          Changed to ignore VxWorks platforms (not currently
          supported by PACE).

        * include/makeinclude/rules.common.GNU:
          Added CFLAGS for LynxOS 3.0.0 so that the PACE library
          will compile and not break nightly builds.

        * tests/mqueue_test.c:
        * tests/Stdio_Test.c:
        * tests/Posix_SP_Test.c:
          Changed to compile (i.e., do nothing) for LynxOS 3.0.0
          to keep nightly builds from breaking.

        * pace/posix/pthread.inl:
          Added support for LynxOS 3.0.0.

        * pace/posix/socket.h:
          Fixed problems with LynxOS support (i.e., Lynx doesn't
          use socklen_t structs - it uses ints instead - and Lynx
          doesn't use family_t structs at all.)

Thu Jan 04 17:10:09 2001  Luther Baker  <luther@cs.wustl.edu>

        * pace/win32/pace.dsw

          Typographic changes.

Thu Jan 04 13:59:00 2001  Luther Baker  <luther@cs.wustl.edu>

        * pace/win32/pace.dsw

          Changed MS libraries to link to. Now consistent with ACE.
          (ie, Always 'Multithreaded DLL' with Debug version using
          the DEBUG DLL and Release using the standard DLL).

        * pace/pace/win32/stdlib.h

          Updated. Implements the posix C functions that were added
          to PACE last year.

Wed Jan  3 10:01:02 2001  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/man/Makefile:
          Updated directory to use to generate man pages (in html).

Fri Dec 22 12:09:59 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/Makefile:
        * pace/config/config.h:

        * pace/sys/socket.h:
        * pace/posix/socket.h:
        * pace/posix/socket.inl:
        * pace/posix/socket.c:

          Updated. Linux is building sockets correctly now.

Fri Dec 22 10:54:13 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/socket.h
        * pace/sys/socket.h
        * pace/Makefile

          Moved socket.h to sys/socket.h.

          Started looking at Makefile to add socket.h

Thu Dec 21 18:22:28 2000  Luther J Baker  <luther@cs.wustl.edu>

        * docs/index.html:
        * docs/legend.html:
        * docs/overview.html:
        * docs/todo.html:

          Begin moving PACE documentation to main distribution.
          Also rewriting much of this.

Thu Dec 21 18:02:23 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/docs/todo.txt

          Meaningless file removed.

Wed Dec 20 16:49:47 2000  Luther J Baker  <luther@cs.wustl.edu>

        * tests/Stdio_Test.c:

          An innocent change :-/. Used pace_strcmp (...) instead of
          strcmp. Had to include "pace/string.h".

Wed Dec 20 16:42:45 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/socket.h:
        * pace/posix/socket.inl:
        * pace/posix/socket.c:

          Beginning of PACE POSIX socket implementation.

Wed Dec 20 15:19:50 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/config.h:

          Added PACE_HAS_POSIX_SOCK_UOF for upcoming socket
          implementation.

Thu Dec 19 11:40:00 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace\win32\unistd.c:

          Added pace_ prefix to emulation functions.

Thu Oct 26 04:00:00 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/schedtypes.h:
        * pace/win32/sched.h:

          Compliance with ACE_HAS_PACE for ACE.
          sched_param now has a member sched_priority.

Wed Oct 18 15:41:20 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/pthread.h:
        * pace/win32/pthreadtypes.h:
        * pace/semphore.h:
        * pace/win32/semphore.h:
        * pace/win32/semphore.inl:

          Debugging ACE building with PACE over NT
          ACE_HAS_PACE.

Tue Oct  3 15:37:35 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/posix/stdio.inl:
          Added vfprintf, vprintf, and vsprintf support

Tue Sep 26 15:19:20 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * tests/Makefile:
        * pace/Makefile:
          Moved checks for inlining flags down in the file so
          that include/makeinclude/platform_macros.GNU can be
          checked to see if the flags are set there.

        * pace/posix/stdio.h:
          Moved stdio.h header file include after stdarg.h
          header file (per comment in ace/OS.h file)

Fri Sep 22 11:32:25 2000  Darrell Brunsch <brunsch@uci.edu>

        * PACE/pace/posix/math.inl:
        * PACE/pace/win32/math.inl:

          Disabled fuzz math.h inclusion check.

Wed Sep 13 13:52:00 2000  Luther J Baker  <luther@maxixe.doc.wustl.edu>

        * pace/win32/types.h:

          Removed irrelevant base types and kept pace_* types.

          (ie:
              typedef DWORD nlink_t;
              typedef nlink_t pace_nlink_t;
          became
              typedef DWORD pace_nlink_t;
          )

Wed Sep 13 13:42:15 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/sys/wait.h:

          More types changed to pace_*.

Wed Sep 13 13:25:33 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/unistd.h:
        * pace/win32/unistd.inl:

          Even more type shifts to pace_*.

Wed Sep 13 13:06:27 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/unistd.h:

          More of uid_t to pace_uid_t.

Wed Sep 13 12:59:52 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/unistd.h:

          Change arguments from uid_t to pace_uid_t.

Tue Aug 29 14:59:35 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/stat.inl (pace_fstat):

          Typo.

Tue Aug 29 14:57:04 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/stat.h (pace_stat):

          Atered pace_stat_h typedef.

        * pace/win32/stat.inl (pace_stat):

          Implemented pace_fstat and pace_stat.

Tue Aug 29 14:14:45 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/stat.h (pace_fstat):
        * pace/stat.h (pace_fchmod):
        * pace/posix/stat.inl (pace_fchmod):
        * pace/posix/stat.inl (pace_fstat):
        * pace/win32/stat.inl (pace_fchmod):
        * pace/win32/stat.inl (pace_fstat):

          Changed argument 1 from an int to a PACE_HANDLE.

Tue Aug 29 13:07:55 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/fcntl.inl (pace_creat):

          Fixed a typo.

Mon Aug 28 20:40:25 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/stat.h (pace_win32_mkdir):
        * pace/win32/stat.inl (pace_win32_mkdir):
        * pace/win32/stat.c (pace_win32_mkdir):

          Altered naming convention of emulation function.

Mon Aug 28 20:00:26 2000  Luther J Baker  <luther@cs.wustl.edu>

        * PACE/pace/fcntl.h:
        * PACE/pace/win32/fcntl.inl:

          Added support of fcntl (...) for win32. No op.

Fri Aug 25 12:11:38 2000  Luther J Baker  <luther@cs.wustl.edu>

        * /pace/unistd.h:

          Change ssize_t to pace_ssize_t.

        * /pace/win32/unistd.h:
        * /pace/win32/unistd.inl:
        * /pace/win32/unistd.c:
        * /pace/win32/mqueue.inl:

          Changes related to type conflicts with ACE.

Tue Aug 22 18:59:41 2000  Luther J Baker  <luther@cs.wustl.edu>

        * PACE/ChangeLog:

          Updated.

Tue Aug 22 18:51:34 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/dirent.h:
        * pace/win32/signal.h:
        * stdio.h:
        * stdlib.h:
        * time.h:
        * types.h:
        * unistd.h:
        * utsname.h:

          Update to compile.

Tue Aug 22 17:58:38 2000  Luther J Baker  <luther@cs.wustl.edu>

        * PACE/ChangeLog:

          Updated.

Tue Aug 22 17:52:02 2000  Luther J Baker  <luther@cs.wustl.edu>

        * PACE_POSIX_support.txt:

          Updated emulation records.

        * pace/fcntl.h:
        * pace/win32/fcntl.h:
        * pace/win32/fcntl.c:

          Updated creat func to pace_win32_create to eliminate compile probs.

        * TODO:

          Updated.

        * pace/config/utility.h:

          Updated to work with multithreaded errno correctly.

        * pace/win32/pthread.h:
        * pace/win32/pthread.inl:
        * pace/win32/pthread.c:

          Update emulations!

        * pace/win32/time.inl:

          Updated/hacked to compile correctly!

        * pace/win32/pace_dll.dsp:
        * pace/win32/pace_lib.dsp:

          Updated project settings to use proper multithreaded DLL / LIB.

Tue Aug 22 12:44:09 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/features.h (_MT):

          Added to support multithreading.

        * pace/win32/pthread.c (pthread_create):

          Completed using basic _beginthreadex.

        * pace/win32/TODO:

          Updated.

Mon Aug 21 20:34:51 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/features.h:

          Updated to reflect PACE_HAS_MFC and PACE_MT_SAFE.
          Following ace/config-win32-common.h.

Mon Aug 21 19:40:23 2000 Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/pthread.c (pthread_attr_init):

          Updated attr initialization in pthread_attr_init.

Fri Aug 18 17:57:42 2000  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/rules.common.GNU: Added section for HP-UX.

Fri Aug 18 12:30:51 2000  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/rules.common.GNU: Added section for AIX.

Wed Aug 16 17:31:43 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/pthread.h:
        * pace/win32/pthread.inl:
        * pace/win32/pthread.c:
        * pace/win32/pthreadtypes.h:
        * pace/win32/schedtypes.h:
        * pace/win32/TODO

          More fabulous emulation updates!

Wed Aug 16 16:26:32 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/pthread.h:
        * pace/win32/pthread.inl:
        * pace/win32/pthread.c:

          The first commit in a long series of emulations.

Mon Aug 14 22:24:50 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/sched.inl (pace_sched_get_priority_max):

          Removed an extraneous '#include' left from the previous commit.

        * pace/win32/pace_dll.dsp:
        * pace/win32/pace_lib.dsp:

          Added new files to the project files.
          (pthreadtypes.h schedtypes.h)

Mon Aug 14 21:41:24 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/pthreadtypes.h:
        * pace/win32/schedtypes.h:

          Added to repository to break up the complexity
          of the code and avoid circular dependencies.

        * pace/win32/types.h:

          Updated declarations to remove circular dependencies.

        * pace/win32/sched.h:

          Updated to use schedtypes.h.

        * pace/win32/pthread.h:

          Updated to use pthreadtypes.h.

        * pace/pthread.h:

          Updated signatures to use pace prefixed types.

Thu Aug 10 04:18:14 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * tests/Stdio_Test.c:
          Changed a c++ style comment to a c style comment.

        * pace/fcntl.h
        * pace/mqueue.h
        * pace/semaphore.h
        * pace/stdio.h
          Removed global scope modifier, since it should be
          supplied by the client.

Wed Aug 09 19:30:39 2000  Luther J Baker  <luther@cs.wustl.edu>

        * tests/tests.dsw:

          Removed test projects files that use constants from
          POSIX specific platforms (Posix_SP_Test.c, mqueue_test.c).

Wed Aug 09 19:22:17 2000  Luther J Baker  <luther@cs.wustl.edu>

        * tests/tests.dsw:
        * tests/test_stdio.dsp:

          Added to the repository.
          Note that I also added the pace_lib and pace_dll projects
          to this workspace. Unlike, ACE, the library is pretty
          small and the tests are quite limited and so they all
          fit quite nicely in a project file!

        * tests/Stdio_Test.c:

          Altered to sleep for 20 secs to test the exe size in memory.

Tue Aug 08 17:09:38 2000  Joe Hoffert <joeh@cs.wustl.edu>

        * pace/config/config.h:
          Added comments explaining the PACE_HAS_*UOF* macros.

        * pace/posix/time.inl:
          Fixed checking of return values for reentrant functions
          on LynxOS.

        * pace/posix/unistd.inl:
          Fixed erroneous comment about PACE_HAS_POSIX_UGR_UOF.

Thu Aug 03 10:23:04 2000  David L. Levine <levine@cs.wustl.edu>

        * VERSION: updated for next beta, manually.

Wed Aug  2 14:43:08 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * include/makeinclude/rules.common.GNU:
          Changed VPATH:= to VPATH+= so it wouldn't
          trounce on other VPATH assignments. This
          fix enables TAO to comile clean on top of PACE.

Sat Jul 29 09:39:24 2000  David L. Levine <levine@cs.wustl.edu>

        * tests/mqueue_test.c: added RCS Id string.

Sat Jul 29 09:31:59 2000  David L. Levine <levine@cs.wustl.edu>

        * tests/mqueue_test.c: got it to compile cleanly on OSF1,
          by adding an unused arg to msg_handler, and commenting
          the characters after an #endif.

Sat Jul 29 09:19:01 2000  David L. Levine <levine@cs.wustl.edu>

        * include/makeinclude/rules.common.h (CFLAGS): on OSF1, added
          -D_DEC_XPG, to pickup up _SC_AIO_LISTIO_MAX, et al., from
          /usr/include/unistd.h.

Sat Jul 29 09:08:15 2000  David L. Levine <levine@cs.wustl.edu>

        * pace/config/config.h,pace/posix/aio.inl (aio_suspend):
          added PACE_AIO_SUSPEND_LIST_ARG_CAST, with special value
          on OSF1 (DIGITAL_UNIX).

Fri Jul 28 18:11:24 2000  David L. Levine <levine@cs.wustl.edu>

        * README: mention LynxOS' non-standard signal interface.

Fri Jul 28 15:54:38 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * tests/Makefile:
          Modified to use ace_components rather than
          pace_components.

        * pace/posix/signal.h:
          Changed pace_sig_pf typedef to compile for LynxOS. Still
          need to fix it to compile for ACE with PACE for LynxOS.

        * pace/posix/signal.inl:
          Fixed sigwait and signal for LynxOS (at least for building
          pace).

        * pace/posix/time.inl:
        * pace/posix/pwd.inl:
        * pace/posix/grp.inl:
        * pace/posix/dirent.inl:
          Changed LynxOS workarounds for the reentrant functions
          and deleted the check for SUNOS since now it can use
          the POSIX calls (with _POSIX_PTHREAD_SEMANTICS being
          defined properly).

        * pace/config/config.h:
          Deleted definition of _REENTRANT (and put it in
          include/makeinclude/rules.common.GNU) and defined
          the different POSIX UoF macros to be 0 if we're
          not using all of them.

        * pace/Makefile:
          Modified to use bin/ace_components rather than
          bin/pace_components (which is going away).

        * include/makeinclude/rules.common.GNU:
          Adding -D_POSIX_PTHREAD_SEMANTICS (if threads == 1)
          and -D_REENTRANT for SunOS so they get defined before
          any include files.

Fri Jul 28 11:29:08 2000  David L. Levine <levine@cs.wustl.edu>

        * README: added brief discussion of how PACE helps
          insulate applications from the OS.

Fri Jul 28 06:28:26 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/posix/dirent.inl
        * pace/posix/grp.inl
        * pace/posix/pwd.inl
        * pace/posix/signal.inl
          Got rid of PACE_HAS_PTHREAD_SEMANTICS not supported code
          in favor of platform specific modifications.

Thu Jul 27 15:02:53 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/utility.h:

          Clean up comments.

Thu Jul 27 14:04:47 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/defines.h:

          Removed #include "temp.h".

Thu Jul 27 13:50:48 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/constants.h:

          Moved contents of pace/config/temp.h to constants.h.
          Some of this probably shouldn't be in contstants.h.

        * pace/config/temp.h:

          Removed.

Thu Jul 27 13:03:29 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/constants.h (PACE_ONE_SECOND_IN_NSECS):

          Typo!

Thu Jul 27 12:33:55 2000  David L. Levine <levine@cs.wustl.edu>

        * README, VERSION: updated in preparation for 1.0 release.

Thu Jul 27 08:36:01 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/fcntl.h
        * pace/mqueue.h
        * pace/semaphore.h
        * pace/stdio.h
          Added :: qualifier to macros, but of course these should
          be defined by the user, so these will go away once
          I update OS.*.

        * pace/config/config.h
          Added _REENTRANT for solaris.

        * pace/posix/time.inl
        * pace/posix/unistd.inl
          Took away PACE_HAS_PTHREAD_SEMANTICS in favor of platform
          specific code. It appears PAC_HAS_PTHREAD_SEMANTICS is now
          superfluous.

        * ../ace/OS.i
          Qualified two functions with pace_ as they should
          have been originally. Paceified ACE_OS::gettimeofday.

Wed Jul 26 17:13:51 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/emulation/mqueue.c:
          Removed print_queue(), qualified attrdefault
          with pace_, fixed memory leaks, and fixed
          the totally broken mq_unlink.

Tue Jul 25 17:09:13 2000  Luther J Baker   <luther@cs.wustl.edu>

        * pace/win32/mman.c:

          Typo.

Tue Jul 25 17:00:13 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/dirent.h:
        * pace/win32/dirent.inl:
        * pace/win32/dirent.c:
        * pace/win32/fcntl.h:
        * pace/win32/fcntl.inl:
        * pace/win32/fcntl.c:
        * pace/win32/mman.h:
        * pace/win32/mman.inl:
        * pace/win32/mman.c:
        * pace/win32/semaphore.h:
        * pace/win32/semaphore.inl:
        * pace/win32/semaphore.c:
        * pace/win32/signal.h:
        * pace/win32/signal.inl:
        * pace/win32/signal.c:
        * pace/win32/stat.h:
        * pace/win32/stat.inl:
        * pace/win32/stat.c:
        * pace/win32/unistd.h:
        * pace/win32/unistd.inl:
        * pace/win32/unistd.c:
        * pace/win32/utime.h:
        * pace/win32/utime.inl:
        * pace/win32/utime.c:
        * pace/win32/utsname.h:
        * pace/win32/utsname.inl:
        * pace/win32/utsname.c:

          Placed emulation prototype in the .h file.
          Removed emulation code from the .inl file.
          Moved emulation code to the .c file.

Mon Jul 24 15:57:24 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/posix/string.inl
          Casted away const returns.

        * pace/posix/signal.h
          Moved pace_sig_pf back inside the extern "C" {}

Mon Jul 24 14:19:54 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/TODO:

          Updated.

Mon Jul 24 14:02:54 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32:

          Updated pace.dsw. Re-arranged files and folders.

        * pace/win32/TODO:

          Updated.

Sun Jul 23 20:36:54 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/TODO:

          Updated.

Sun Jul 23 20:21:02 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/*:

          Cleaned up alot of implementation.

          Got rid of separate 'emulation' functions because only win32
          is in this directory (if we supported multiple platforms in
          this directory, then the code would get messy so we would do
          better to inline and call emulation funcs according to the
          platform at hand).

          Inserted ACE style macros for WIN32 OS calls. Set errno
          properly and adapts return values to POSIX compliance.

Sun Jul 23 19:17:33 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/pthread.h:

          Added typedefs from pace/posix/pthread.h.

Sun Jul 23 18:34:26 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/pthread.inl:

          Win32 doesn't support pthreads. These all need to be emulated.

        * pace/docs/PACE_POSIX_support.txt

          Updated.

Sun Jul 23 17:32:44 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/pthread.h:

          Missing pace_* prefix on two sigset_t args.
          Missing pace_* prefix on pthread_t arg.

          Became evident on NT because there are no definitions for
          the native types.

Sat Jul 22 09:24:34 2000  Ossama Othman  <ossama@uci.edu>

        * pace/Makefile.am (DESTDIRS):

          Added missing line continuation backslash `\'.

        * pace/posix/Makefile.am (noinst_LTLIBRARIES):

          Rename libtool convenience library to `libPACE_POSIX.la' to
          avoid name clash with the actual `libPACE.la' library.

Fri Jul 21 20:41:04 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/unistd.inl:
        * pace/posix/unistd.inl:
        * pace/unistd.h:

          Typos.

Fri Jul 21 20:35:38 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/wait.h:
        * pace/win32/wait.inl:

          ACE implements waitpid with an additional argument (HANDLE).
          Eliminated POSIX support here.

        * pace/docs/PACE_POSIX_support.txt

          Updated.

Fri Jul 21 20:23:55 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/utsname.inl (pace_uname):

          Partial emulation made. But more work to be done!

        * pace/docs/PACE_POSIX_support.txt

          Updated.

Fri Jul 21 19:49:19 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/utime.h (pace_utime):
        * pace/win32/utime.inl (pace_utime):

          Implemented the "RIGHT ANSWER[TM]" but it doesn't work so
          casted away and made the current func work. Left the
          correct implementation -- "unimplemented" :-/ in the file.

        * pace/docs/PACE_POSIX_support.txt

          Updated.

Fri Jul 21 19:22:28 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/string.inl:

          Fixed eror from adding new funcs (retval param was const).

Fri Jul 21 18:43:07 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/unistd.inl:

          Emulated or removed implementation.

        * pace/docs/PACE_POSIX_support.txt

          Updated.

Fri Jul 21 18:33:04 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/constants.h (PACE_ONE_SECOND_IN_MSECS):

          Added.

Fri Jul 21 18:19:50 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/utility.h:

          Added PACE_SYSCALL_FAILED 0xFFFFFFFF

Fri Jul 21 12:19:06 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/utility.h:

          Typo. ACE_ADAPT_RETVAL ... PACE_ADAPT_RETVAL.

Thu Jul 20 22:58:16 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/stdlib.h
        * pace/posix/stdlib.inl
          Added atexit, div, labs, ldiv, mblen, mbstowcs, mbtowc
          strtod, strtol, strtoul, system, wcstombs, wctomb.

        * pace/string.h
        * pace/posix/string.inl
          Removed const return from strchr, strstr, strrchr, strpbrk.

        *../ace/OS_String.*
          Paceified.

        *../ace/ThreadManager.cpp
          Paceified.

        * docs/ACE_Integration.txt
          Updated.

Thu Jul 20 19:17:15 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/unistd.inl:

          Part of file fixed. Wanted to commit before I lose something.

Thu Jul 20 19:19:28 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/unistd.h:
        * pace/posix/unistd.h:

          _isatty, lseek are both implemented in win32 with
          int fildes. Removed PACE_HANDLE here.

Thu Jul 20 19:00:12 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/posix/unistd.inl (pace_fsync):

          Missing the wrapper? pace_fsync --> return fildes.
          Changed to 'return fsync (fildes); :-)

Thu Jul 20 18:55:39 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/unistd.h:
        * pace/posix/unistd.inl:

          More PACE_HANDLE (dup, dup2)

Thu Jul 20 14:47:20 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/utility.h:

          Better comments and changed syntax of PACE_OSCALL_RETURN.

Thu Jul 20 14:42:26 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/utility.h (ACE_ADAPT_RETVAL):

          Typo.

Thu Jul 20 14:12:44 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/posix/unistd.inl:
        * pace/unistd.h:

          Lots of int file descriptors changed to PACE_HANDLE.

Wed Jul 19 19:50:54 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/utility.h:

          Added some sorely needed macros for adapting return values.
          Used extensively by ACE to emulate funcs on win32.

Tue Jul 18 23:25:43 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/posix/signal.h
        * pace/posix/signal.inl
        * pace/posix/stdio.h
        * pace/posix/stdlib.h
        * pace/posix/time.h
        * pace/posix/unistd.h

        Added double definition protections around types, PACE_NULL
        in particular.

        * pace/posix/signal*

        Changed signal's pointer to a functions to almost support
        Lynx, but it is not quite working yet.

        * ../ace/ACE.cpp
        * ../ace/OS_Memory.h

        Changed system calls to pace calls.

        * ../ace/OS.h

        Reverted part of my earlier changes to support Lynxos in
        a cleaner way.

        * ../ace/OS.h
        * ../ace/OS.i

        Many small changes including wrapping most calls with ACE_OSCALL
        to handle EINTR correctly.

Tue Jul 18 15:13:40 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/times.h:
        * pace/win32/times.inl:

          Fixed type support.
          Eliminated unsupported funcs (return -1 and set ernno).

        * docs/PACE_POSIX_support.txt:

          Updated.

Tue Jul 18 15:09:09 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/time.inl:

          Eliminated and confirmed suport for funcs.

        * docs/PACE_POSIX_support.txt:

          Updated.

Tue Jul 18 14:43:08 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/termios.h:
        * pace/posix/termios.inl:

          PACE_HANDLE substituted in for file descriptors.

        * pace/win32/termios.h:
        * pace/win32/termios.inl:

          Eliminated support for most funcs. Return -1 and set ernno
          to ENOTSUP.

        * docs/PACE_POSIX_support.txt:

          Updated.

Tue Jul 18 14:15:11 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/stdio.inl:

          Eliminated support for cterm.
          Created support for v...print.. family of funcs.

        * docs/PACE_POSIX_support.txt:

          Updated.

Tue Jul 18 13:52:13 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/stat.h:
        * pace/win32/stat.inl:

          Eliminated, emulated and confirmed suport for funcs.

        * docs/PACE_POSIX_support.txt:

          Updated.

Tue Jul 18 13:16:14 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/signal.h:
        * pace/win32/signal.inl:

          Eliminated, emulated and confirmed suport for funcs.

        * docs/PACE_POSIX_support.txt:

          Updated.

Tue Jul 18 11:33:16 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/setjmp.h:
        * pace/win32/setjmp.inl:

          Eliminated support sig(setjmp/longjmp).

        * docs/PACE_POSIX_support.txt:

          Updated.

Mon Jul 17 18:29:27 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/semaphore.h:
        * pace/win32/semaphore.inl:

          Eliminated support for these functions. Started emulation.

        * pace/win32/types.h:

          Changed PACE_HANDLE to represent HANDLE (not void *).

        * docs/PACE_POSIX_support.txt:

          Updated.

Mon Jul 17 16:37:16 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/sched.h:
        * pace/win32/sched.inl:

          Eliminated support for these functions.

        * docs/PACE_POSIX_support.txt:

          Updated.

Mon Jul 17 16:27:43 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/pwd.h:
        * pace/win32/pwd.inl:

          Emulate some... return no support for others.

        * docs/PACE_POSIX_support.txt:

          Updated.

        * pace/win32/mqueue.h:

          Typo.

Mon Jul 17 15:57:43 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/mqueue.h:
        * pace/win32/mqueue.h:

          Fixed types to compile for win32.
          Code was NOT emulated so types are dummy types and
          PACE_ERRNO_NO_SUPPORT_RETURN (-1) was applied when applicable.

        * docs/PACE_POSIX_support.txt:

          Updated.

Mon Jul 17 14:56:31 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/mman.inl:

          Emulate some... return no support for others.

        * docs/PACE_POSIX_support.txt:

          Updated.

Mon Jul 17 14:00:35 2000  Andrew G. Gilpin  <agg1@cs.wustl.edu>

        * pace/config/utility.h:

          Changed #if (PACE_WIN32 != 0) to #if (PACE_WIN32) to be
          more consistent.

Mon Jul 17 13:57:05 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/posix/mman.inl (pace_shm_open):
        * pace/win32/mman.inl (pace_shm_open):
        * pace/sys/mman.h (pace_shm_open):

          Return value changed to PACE_HANDLE.

        * pace/win32/mman.h:

          Added some sorely needed constant macro definitions.

        * pace/config/utility.h:

          Removed #define PACE_POSIX_ERROR_INT_RETVAL -1

Mon Jul 17 13:31:50 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/utility.h:

          Added #define PACE_POSIX_ERROR_INT_RETVAL -1

Mon Jul 17 13:07:50 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/aio.h (pace_aio_cancel):
        * pace/posix/aio.inl (pace_aio_cancel):
        * pace/win32/aio.inl (pace_aio_cancel):
        * pace/mman.h:
        * pace/posix/mman.inl:
        * pace/win32/mman.inl:

          Substituted PACE_HANDLE for ints that were file descriptors.

Mon Jul 17 12:49:17 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/types.h:

          PACE_HANDLE and PACE_INVALID_HANDLE get changed in WIN32
          to a void *. (In POSIX dir, we use an int as a file desc.)

        * docs/PACE_POSIX_support.txt:

          Updated.

        * pace/win32/dirent.inl

          Uses the new PACE_HANDLE.

Mon Jul 17 12:27:47 2000  Andrew G. Gilpin  <agg1@cs.wustl.edu>

        * pace/config/utility.h:

          Prevented windows.h from getting included on non Win32 platforms. :)

Mon Jul 17 11:47:11 2000  Luther J Baker  <luther@cs.wustl.edu>

        * docs/PACE_POSIX_support.txt:

          Added to specify native/emulation/not supported funcs.

        * pace/win32/fcntl.h:

          creat isn't quite exactly as ACE does it. Leave this out
          until correctly finished!

Sun Jul 16 16:21:16 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/grp.inl:
        * pace/win32/grp.h:

          No WIN32 support. ACE does not emulate this family.
          Build a group struct & return -1 and set ernno to
          NO SUPPORT!

Sun Jul 16 16:17:25 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/utility.h (PACE_FAIL_RETURN):

          Fixed to work with just PACE_WIN32 defined.

Fri Jul 14 22:56:29 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/utility.h (PACE_FAIL_RETURN):

          Defined.

Fri Jul 14 22:41:53 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/fcntl.h:
        * pace/fcntl.inl:

          Some old changes didn't seem to take?

Fri Jul 14 22:25:31 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/dirent.inl:

          Typo.

Fri Jul 14 22:06:14 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/fcntl.inl:

          Type in comments for pace_win32_emulate_creat.

Fri Jul 14 22:00:34 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/fcntl.inl (creat):

          WIN32 doesn't support integers as file handles. Note here,
          we return -1 for failure and we cast a HANDLE to an int
          for success.

          Also, emulated support for POSIX creat. The ACE_OS version
          extensively uses thread protection. This is commented out and
          may be added in later, when threads are implemented in PACE.

        * pace/fcntl.h (creat):

          Comments regarding return values == (int)*HANDLE for WIN32.

Fri Jul 14 21:20:59 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/types.h:

          Added #include <windef.h> for common definitions and basic types.

Fri Jul 14 20:49:46 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/utility.h:

          Added some neat :-) ACE_* macro utilities.

Fri Jul 14 20:38:44 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/dirent.inl:

          Added (POSIX_HAS_POSIX_FS_UOF) protection to emulation funcs.

Fri Jul 14 20:18:46 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/utility.h:
        * pace/win32/errno.h:

          Moved win32 error definitions to pace/win32/errno.h.

        * pace/config/utility.h:

          Changed #include <errno.h> to #include "pace/errno.h".

Fri Jul 14 20:05:33 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/pace_dll.dsp:
        * pace/win32/pace_lib.dsp:

          Default the build to all POSIX units of functionality.
          Defined PACE_HAS_ALL_POSIX_FUNCS in
          Settings >> C/C++ >> Preprocessor

Fri Jul 14 19:06:09 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * ../include/makeinclude/wrappermacros.GNU:
          Added -DPACE_HAS_ALL_POSIX_FUNCS to flags.

        * pace/pthread.h:
        * pace/unistd.h:
          Removed a duplicate closing }.

        * pace/pthread.h:
          Added (void) in arguments to pointers to functions
          which were otherwise interpreted as (...) args.

Fri Jul 14 18:50:07 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/unistd.h:

          Removed incompatible #include <unistd.h> for win32.

Fri Jul 14 18:19:10 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/signal.h:

          Typo...(pace_s_sigaction becomes pace_sigaction_s).

Fri Jul 14 18:05:09 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/dirent.h:

          Removed dir_init.

        * pace/win32/dirent.inl:

          win32 emulation functions finished.
          closedir  ==  pace_win32_emulate_closedir
          opendir   ==  pace_win32_emulate_opendir
          readdir   ==  pace_win32_emulate_readdir

Fri Jul 14 17:46:56 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/dirent.h:

          Removed 'const' member of dirent struct.
          Added dir_init to guarantee that 'started_reading_' is
          initialized correctly!

        * pace/win32/types.h:

          Added support for win32
          PACE_WIN32_INVALID_HANDLE = (void*)0

Fri Jul 14 15:55:24 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/sys/mman.h:
        * pace/sys/stat.h:
        * pace/sys/times.h:
        * pace/sys/utsname.h:
        * pace/sys/wait.h:
          move closing } for extern "C" to near end of file, after
          .inl #includes.

        * pace/Makefile:
          Added defining appropriate macros when subsetting PACE into
           POSIX units of functionality.

        * pace/aio.h:
        * pace/assert.h:
        * pace/ctype.h:
        * pace/dirent.h:
        * pace/fcntl.h:
        * pace/grp.h:
        * pace/locale.h:
        * pace/math.h:
        * pace/mqueue.h:
        * pace/pthread.h:
        * pace/pwd.h:
        * pace/sched.h:
        * pace/semaphore.h:
        * pace/setjmp.h:
        * pace/signal.h:
        * pace/stddef.h:
        * pace/stdio.h:
        * pace/stdlib.h:
        * pace/string.h:
        * pace/termios.h:
        * pace/time.h:
        * pace/unistd.h:
        * pace/utime.h:
        * pace/emulation/mqueue.c:
        * pace/emulation/mqueue.h:
        * pace/posix/aio.inl:
        * pace/posix/ctype.inl:
        * pace/posix/dirent.inl:
        * pace/posix/fcntl.inl:
        * pace/posix/grp.inl:
        * pace/posix/locale.inl:
        * pace/posix/math.inl:
        * pace/posix/mman.inl:
        * pace/posix/mqueue.inl:
        * pace/posix/pthread.inl:
        * pace/posix/pwd.inl:
        * pace/posix/sched.inl:
        * pace/posix/semaphore.inl:
        * pace/posix/setjmp.inl:
        * pace/posix/signal.inl:
        * pace/posix/stat.inl:
        * pace/posix/stdio.inl:
        * pace/posix/stdlib.inl:
        * pace/posix/string.inl:
        * pace/posix/termios.inl:
        * pace/posix/time.inl:
        * pace/posix/times.inl:
        * pace/posix/unistd.inl:
        * pace/posix/utime.inl:
        * pace/posix/utsname.inl:
        * pace/posix/wait.inl:
        * pace/win32/aio.inl:
        * pace/win32/ctype.inl:
        * pace/win32/dirent.inl:
        * pace/win32/fcntl.inl:
        * pace/win32/grp.inl:
        * pace/win32/locale.inl:
        * pace/win32/math.inl:
        * pace/win32/mman.inl:
        * pace/win32/mqueue.inl:
        * pace/win32/pthread.inl:
        * pace/win32/pwd.inl:
        * pace/win32/sched.inl:
        * pace/win32/semaphore.inl:
        * pace/win32/setjmp.inl:
        * pace/win32/signal.inl:
        * pace/win32/stat.inl:
        * pace/win32/stdio.inl:
        * pace/win32/stdlib.inl:
        * pace/win32/string.inl:
        * pace/win32/termios.inl:
        * pace/win32/time.inl:
        * pace/win32/times.inl:
        * pace/win32/unistd.inl:
        * pace/win32/utime.inl:
        * pace/win32/utsname.inl:
        * pace/win32/wait.inl:
          Wrapped each function with its corresponding POSIX unit of
           functionality (or the catch-all PACE_HAS_POSIX_NONUOF_FUNCS).

        * pace/config/config.h:
          Changed to define all the POSIX macros when
           PACE_HAS_ALL_POSIX_FUNCS is defined.

        * tests/Makefile:
          Adding default flag of PACE_HAS_ALL_POSIX_FUNCS.

        * tests/Stdio_Test.c:
          change variable from FILE to PACE_FILE.

Fri Jul 14 15:02:47 2000  Luther J Baker  <luther@cs.wustl.edu>

        * PACE/pace/win32/dirent.h:

          pace_dir changed to PACE_DIR.
          PACE_TCHAR changed to char.

Fri Jul 14 14:34:43 2000  David L. Levine <levine@cs.wustl.edu>

        * pace/assert.h,pace/{posix,win32}/assert.{h,inl}:
          changed pace_assert from an inline function to a macro.
          That way, it will report the proper file/line number,
          instead of those of the pace_assert inline function.

          Also, moved #include <assert.h> from .inl file to .h
          file.  Because we're now using a macro, client code
          must #include <assert.h>.

Fri Jul 14 09:26:36 2000  David L. Levine <levine@cs.wustl.edu>

        * include/makeinclude/rules.common.GNU: if debug is disabled,
          add -DPACE_NDEBUG to CFLAGS or CCFLAGS.

        * pace/{posix,win32}/assert.inl: neuter if PACE_NDEBUG is
          defined.  Even though assert () won't do anything with
          NDEBUG, data (__FILE__ and __LINE__, presumably) was stored
          in the .o file without this change.

          We might want to consider making pace_assert a macro.
          As an inline function, __FILE__ and __LINE__ won't be
          very helpful.

Fri Jul 14 08:17:59 2000  David L. Levine <levine@cs.wustl.edu>

        * pace/{aio.h,assert.h,ctype.h,dirent.h,fcntl.h,grp.h,locale.h,
          math.h,mqueue.h,pthread.h,pwd.h,sched.h,semaphore.h,setjmp.h,
          stdio.h,stdlib.h,string.h,termios.h,time.h,unistd.h,utime.h}:
          move closing } for extern "C" to near end of file, after
          .inl #includes.

Fri Jul 14 00:30:38 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * ../ace/OS.i
          Minor updates. Currently only LynxOS has a dirty build
          of libACE, although libACE still can't be linked against
          correctly.

        * pace/signal.h
        * pace/posix/signal.*
        * pace/stdlib.h
        * pace/posix/stdlib.*
        * pace/pthread.h
        * pace/posix/pthread.*

          Added typedef of pointers to functions which forced
          functions which take pointers to functions to accept
          arguments of c++ linkage... I think.

Thu Jul 13 16:37:33 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * ../include/makeinclude/wrapper_macros.GNU

          Added 'pace' flag to support compilation with PACE.
          'make pace=1' and behold the power of pace!

        * include/makeinclude/rules.common.GNU

          Removed netinet, arpa, and common form the VPATH

        * pace/1/
        * pace/arpa/
        * pace/netinet/
        * pace/common/

          Removed. <Update: this didn't work, will have
          to wait unil a later date>

Thu Jul 13 14:57:53 2000  David L. Levine <levine@cs.wustl.edu>

        * pace/{posix,win32}/assert.inl (pace_assert): removed unnecessary
          return statement at end of function.

Thu Jul 13 10:53:06 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/dirent.h:

          Added structs for dirent and DIR.

Thu Jul 13 00:46:37 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/signal.h
        * pace/posix/signal.h
        * pace/posix/signal.inl

          Changed the typedef of pace_s_sigevent
          to pace_sigevent_s to match up with pace_stat_s. The
          problem with both of these is that the data type names
          conflict with function names.

        * pace/stdio.h
        * pace/posix/stdio.c

          Changed all '...' functions to defines. Now the library
          should be totally empty on platforms without emulation code.

        * include/makeinclude/rules.common.GNU
        * tests/Makefile

          Because the library can be empty again, don't include
          the library by default. As a temporary kludge emulation=1
          is set in rules.common.GNU for Linux, which is the only
          platform thus far which has a non-empty library.

        * pace/emulation/mqueue.c
        * pace/emulation/mqueue.h

          Support for all functionality is now complete, cleaner,
          and somewhat less buggy.

        * tests/mqueue_test.c

          Borrowed a test from Konstantin Knizhnik's web site,
          will eventually have to make this a one-button test.

Wed Jul 12 17:30:54 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/posix/types.h
          Fixed pace_tchar.

Wed Jul 12 16:31:51 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/types.h:

          Fixed PACE_TCHAR.

Wed Jul 12 16:10:39 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/fcntl.h
        * pace/mqueue.h
        * pace/semaphore.h
        * pace/stdio.h
        * pace/unistd.h
        * pace/unistd.inl
        * pace/tests/mqueue_test.c
          Updated all #define pace_func (X) macros to remove the need
          for double paranthesis.

Wed Jul 12 17:01:47 2000  Ossama Othman  <ossama@uci.edu>

        * Makefile.am:
        * pace/Makefile.am:
        * pace/posix/Makefile.am:
        * tests/Makefile.am:

          Preliminary Automake input files for PACE.  They aren't working
          yet, but do provide a good start.

Wed Jul 12 15:27:27 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/posix/types.h (PACE_TCHAR):
        * pace/win32/types.h (PACE_TCHAR):

          Added typedef char PACE_TCHAR;
          Protected some of the typedefs.

Wed Jul 12 14:26:10 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/aio.inl:

          PACE_ERRNO_NO_SUPPORT_RETURN (-1);
          Emulate support for these latter.

Wed Jul 12 14:15:10 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/signal.h:
        * pace/win32/time.h:

          Added types to help win32 along.

Wed Jul 12 12:10:55 2000  David L. Levine  <levine@cs.wustl.edu>

        * pace/config/platform.h: added OSF1 support.

Wed Jul 12 11:51:52 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/errno.h:

          Added to repository.

        * pace/win32/pace_dll.dsp:
        * pace/win32/pace_lib.dsp:

          Modified to include the new file.

Wed Jul 12 11:45:34 2000  David L. Levine  <levine@cs.wustl.edu>

        * include/makeinclude/rules.commmon.GNU: added OSF1 support.

Wed Jul 12 10:53:01 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/pace_lib.dsp:
        * pace/win32/pace_dll.dsp:

          Added the PACE/pace/*.h files. These currently contain
          the interface we need to compile into our code. Maybe
          we can change the following, but we now have
          PACE/pace/aio.h and PACE/pace/win32/aio.h
          both showing up in the VC++ list as aio.h and aio.h.
          The PACE/pace/win32 files always show up second :-)

Wed Jul 12 10:24:20 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/wait.h:
        * pace/win32/utsname.h:
        * pace/win32/utime.h:
        * pace/win32/unistd.h:
        * pace/win32/types.h:
        * pace/win32/times.h:
        * pace/win32/time.h:
        * pace/win32/termios.h:
        * pace/win32/string.h:
        * pace/win32/stdlib.h:
        * pace/win32/stdio.h:
        * pace/win32/stat.h:
        * pace/win32/signal.h:
        * pace/win32/setjmp.h:
        * pace/win32/semaphore.h:
        * pace/win32/sched.h:
        * pace/win32/pwd.h:
        * pace/win32/pthread.h:
        * pace/win32/mqueue.h:
        * pace/win32/mman.h:
        * pace/win32/math.h:
        * pace/win32/locale.h:
        * pace/win32/limits.h:
        * pace/win32/grp.h:
        * pace/win32/fcntl.h:
        * pace/win32/dirent.h:
        * pace/win32/ctype.h:
        * pace/win32/assert.h:
        * pace/win32/aio.h:

          Removed function prototypes. These were moved to the PACE/*.h files.
          Removed #include *.inl files. These are inluded by the PACE/*.h files.
          Postfixed the protective preprocessor guards with _WIN32
          (ie: PACE_CTYPE_H_WIN32).

Wed Jul 12 01:25:44 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/emulation/time.c:
          Removed since it is currently empty.

        * pace/emulation/time.h:
          Minor changes to how this file is included in:

        * pace/posix/time.h:
          Changed how emulation/time.h is included on Linux

        * pace/config/compiler.h
        * pace/posix/string.inl
        * pace/posix/unistd.inl
          Changed to quell odd compiler warnings from gcc. Added
          PACE_BROKEN_INLINE.

        * pace/emulation/mqueue.*
          Improved and updated code, but it is still not complete.

        * pace/tests/mqueue_test.c
        * pace/tests/Makefile
          Added a very simple test to verify mqueue works.

Tue Jul 11 21:05:58 2000  David L. Levine  <levine@cs.wustl.edu>

        * pace/unistd.h,pace/posix/unistd.inl:
          1) pace_execl{,e,p} weren't declared/defined with
             PACE_INLINE, so they were being put into each .o.
          2) Reordered some of the function definitions in
             posix/unistd.inl, so that they appear before all uses.

Tue Jul 11 19:31:13 2000  David L. Levine  <levine@cs.wustl.edu>

        * pace/stdio.h: fixed copy+paste error in comment:
          tmpfile instead of sscanf.

Tue Jul 11 4:28:00 2000  Andrew G. Gilpin  <agg1@cs.wustl.edu>

        * rules.common.GNU:
          Added functionality so that PACE_SYSVER on Linux is in the
          same format as LINUX_VERSION_CODE from the Linux source code.
          For example, Linux version 2.2.12 -> 0x02020C == 131596

Tue Jul 11 10:24:03 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * tests/Makefile:
          Changed to always include the PACE library. This was causing
          problems for functions that are never inlined when inlining
          is enabled.

Mon Jul 10 13:47:25 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/stddef.h
        * pace/stdio.h
        * pace/string.h
        * pace/unistd.h
          Changed to new format, all functions should now be
          declared in pace/

        * pace/mqueue.h
        * pace/emulation/mqueue*
          Emulated mqueue for linux. Curently there is no support for
          mq_notify, and there is a race condition if two procs try to
          create the same queue at the same time.

        * pace/stdio.h
        * pace/posix/stdio.inl
        * pace/unistd.h
        * pace/posix/unistd.inl
          Moved ctermid back to where it should be (stdio).

        * pace/string.h
        * pace/posix/string.inl
          Added mem* functions (e.g. memset), since they are C std.

        * pace/time.h
        * pace/posix/time.inl
          ENOSYSed clock_* and timer_* functions for Linux, although
          emulation may be possible.

        * pace/posix/pthread.inl
          ENOSYSed many functions not supported on Linux. Linux should
          build clean now for the moment.

Mon Jul 10 08:50:37 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/posix/time.inl:
        * pace/posix/pthread.inl:
        * pace/posix/aio.inl:
          Changed code to use PACE_NONCONST_ARG_CAST rather than
          #idef'ing for LynxOS and doing the cast.

        * pace/config/defines.h:
          Changed order of include so that platform.h (and
          POSIX_HAS_* #defines) will be first.

        * pace/config/config.h:
          Added PACE_NONCONST_ARG_CAST macro. Needed for LynxOS
          when it doesn't use const args for POSIX functions
          taking const args.

        * tests/Makefile:
        * pace/Makefile:
          Took out common rules and included
          include/makeinclude/rules.common.GNU instead.

        * include/makeinclude/rules.common.GNU:
          Added this file to take out common rules from the
          different Makefiles.

        * tests/Posix_SP_Test.c:
          Made test more robust (e.g., check for all specified POSIX
          names for sysconf and for NULL and non-NULL arg to time)
          Also, ifdefed out some sysconf names for LynxOS since those
          names are supported. Sent email to LynuxWorks about this.

Fri Jul  7 19:11:38 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/sys/mman.h
        * pace/sys/stat.h
        * pace/sys/times.h
        * pace/sys/types.h
        * pace/sys/utsname.h
        * pace/sys/wait.h
        * pace/termios.h
        * pace/time.h
        * pace/unistd.h
        * pace/utime.h
        * pace/posix/mman.h
        * pace/posix/stat.h
        * pace/posix/termios.h
        * pace/posix/time.h
        * pace/posix/times.h
        * pace/posix/types.h
        * pace/posix/unistd.h
        * pace/posix/utime.h
        * pace/posix/utsname.h
        * pace/posix/wait.h

        Continued  changes:

        Changed the #if defined (PACE_HAS_POSIX) to #if
        PACE_HAS_POSIX per our recent conversation regarding all macros being
        assigned a value.

        Moved the prototype function signatures to the root
        directory *.h file.

        Changed the form the *.inl file was included.


Fri Jul  7 17:24:33 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/fcntl.h:

          Missing extern "C" { }.

Fri Jul  7 17:22:56 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/aio.h:
        * pace/posix/aio.h:
        * pace/assert.h:
        * pace/posix/assert.h:
        * pace/ctype.h:
        * pace/posix/ctype.h:
        * pace/dirent.h:
        * pace/posix/dirent.h:
        * pace/fcntl.h:
        * pace/posix/fcntl.h:
        * pace/grp.h:
        * pace/posix/grp.h:
        * pace/math.h:
        * pace/posix/math.h:
        * pace/mqueue.h:
        * pace/posix/mqueue.h:
        * pace/pthread.h:
        * pace/posix/pthread.h:
        * pace/pwd.h:
        * pace/posix/pwd.h:
        * pace/sched.h:
        * pace/posix/sched.h:
        * pace/semaphore.h:
        * pace/posix/semaphore.h:
        * pace/setjmp.h:
        * pace/posix/setjmp.h:
        * pace/signal.h:
        * pace/posix/signal.h:

          Changed the protection includes. Eg:
            ROOT directory PACE_ASSERT_H
            POSIX directory PACE_ASSERT_H_POSIX.

          Changed the #if defined (PACE_HAS_POSIX) to #if PACE_HAS_POSIX
          per our recent conversation regarding all macros being assigned a
          value.

          Moved the prototype function signatures to the root directory *.h file.

          Changed the form the *.inl file was included.

Fri Jul  7 16:23:57 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/errno.h:
        * pace/posix/errno.h

          Altered to fit in current

Fri Jul  7 16:04:30 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/platform:

          # define all unused macros so we can test them against '0'
          in the source code.

Fri Jul  7 15:24:57 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/compiler.h:

          # define PACE_HAS_CPLUSPLUS __cplusplus

Fri Jul 07 14:41:51 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/types.h:

          Fixed some non-native type problems. Also, made some temporary
          types (pthread_*) until we actually get to win32/pthread.h at
          which point, we will correctly define these.

Fri Jul  7 02:18:02 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/posix/dirent.*:
        * pace/posix/pthread.*:
        * pace/posix/sched.h:
        * pace/posix/signal.*:
        * pace/posix/stat.*:
        * pace/posix/time.*:
        * pace/posix/utsname.inl:
          Fixed a problem with certain typedefs not being
          exposed in other .inl files due to an odd
          interaction of the #pragma once style protections
          present in the header files. A few structs were redefined
          a second time outside of their header file.

          Also, pace_stat was changed to pace_stat_s to avoid a conflict
          witht the pace_stat() function.

        * pace/win32/termios.*:
        * pace/win32/wait.h:
        * pace/win32/utsname.*:
        * pace/win32/times.*:
        * pace/win32/stat.*:
        * pace/win32/mman.*:
          Added changes made to /posix earlier.


Thu Jul  6 13:04:02 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * tests/Posix_SP_Test.c:
          Made tests more robust checking for all possible parameter
          values. Also, changed check for failure. Just because a
          function doesn't support a particular parameter value, does
          not mean the function doesn't support that function. If
          the PACE symbols can be used (i.e., the code compiles) then
          the function is supported.

Thu Jul 06 12:17:21 2000  David L. Levine  <levine@cs.wustl.edu>

        * pace/posix/pthread.inl (pace_pthread_mutex_{get,set}prioceiling):
          LynxOS does not have pthread_mutex_{get,set}prioceiling, so
          don't call them with PACE_LYNXOS.

Wed Jul 5 13:38:11 2000 John Heitmann <jwh1@cs.wustl.edu>

        * pace/types.h:
          Added #include <pthread.h> to expose types on LynxOS.

        * pace/time.inl:
          Casted away const for LynxOS.

        * pace/posix/termios.*:
          Fixed a typedef and removed tc*pgrp which didn't seem to
          take from the last commit.

        * ../ace/OS.i:
          Updated corresponding functions to those newly added in PACE.

Wed Jul  5 17:15:26 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/Makefile:
          Fixed error introduced by my earlier update.

        * pace/termios.*:
          Added typedefs and changed function signatures appropriately.
          Removed tcgetpgrp which was added to unistd earlier.

        * pace/sys/wait.h:
          Added macros.

        * pace/sys/utsname.*:
        * pace/sys/times.*:
        * pace/sys/stat.*:
        * pace/sys/mman.*
          Added typedefs and changed function parameters appropriately.

        * pace/time.h:
          Added #include "pace/signal.h"

        * pace/unistd.inl:
          Changed spelling error.

        * pace/signal.*:
        * pace/stat.*:
          Typedefs of structs later used as pointers were broken
          so I reverted back to the old way temporarily.

Wed Jul 05 16:00:32 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/types.h:

          Removed redefinition of size_t.

Wed Jul 05 14:54:16 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/types.h:

          Define native UNIX types to work on WIN32 types.

Wed Jul  5 15:28:25 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/Makefile:
          Fixed paths that were invalidated when wait.h and termios.h
          were moved.

Wed Jul 05 14:46:38 2000  Luther J Baker <luther@cs.wustl.edu>

        * pace/win32/aio.h:

          Removed #include <aio.h>.

Wed Jul 05 13:41:00 2000  Luther J Baker  <luther@cs.wustl.edu>

        * PACE/win32/types.h:

          Removed #include <inttypes.h>.
          Moved -*- C -*- to same line as $-Id-$

Wed Jul  5 13:25:34 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/*

          Removed (posix ace) from files.

Wed Jul 05 12:49:20 2000  Luther J Baker  <luther@cs.wustl.edu>

        * PACE/config/platform.h

          WIN32 doesn't use the makefile.
          #define PACE_WIN32 2000

Wed Jul  5 12:48:41 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32/*.

          Update files per PACE/posix changes.

Mon Jul  3 19:30:39 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/posix/time.*:
          Added macros, typedefs, clock(), and difftime().

        * pace/posix/unistd.*:
          Added macros, typedefs, tcgetpgrp(), tcsetpgrp().

        * pace/posix/utime.*:
          Added macros and typedefs.

Mon Jul  3 9:45:00 2000 John Heitmann <jwh1@cs.wustl.edu>

        * pace/config/types.h:
          Removed. Functionality replaced by platform
          specific pace/sys/types.

        * pace/config/defines.h:
          Deleted reference to types.h.

Mon Jul  3 00:25:44 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/sys/termios.h:
          Moved to pace/

        * pace/posix/aio.*:
        * pace/posix/direnet.*:
        * pace/posix/fcntl.*:
        * pace/posix/grp.*:
        * pace/posix/locale.*:
        * pace/posix/math.*:
        * pace/posix/mqueue.*:
        * pace/posix/pthread.*:
        * pace/posix/pwd.*:
        * pace/posix/sched.*:
        * pace/posix/semaphore.*:
        * pace/posix/setjmp.*:
        * pace/posix/signal.*:
        * pace/stddef.*:
        * pace/posix/stdio.*:
        * pace/posix/stdlib.*:
        * pace/posix/string.*:
        * pace/posix/types.*:
        * pace/posix/time.*:
          Added many missing typedefs and macros. A bug has been
          added in also in types.h. It is harmless but causes a
          compiler warning that I could not fix. Files lower in
          the alphabet such as utime haven't been finished yet.

        * pace/posix/stdio.*:
          Added in the missing functions fgetpos, fsetpos, fwrite,
          setvbuf, vfprintf, vprintf, vsprintf. The last three
          are empty until passing the macro va_list is resolved.

        * pace/posix/locale.*:
          Added localeconv ().

        * pace/posix/signal.*:
          Added raise () and signal ().

        * pace/posix/unistd.*:
        * pace/posix/stdio.*:
          Moved ctermid() from stdio to unistd.

        * pace/posix/stdlib.*:
          Added abort ().

        * pace/:
          Added stddef.h and errno.h

Fri Jun 30 16:54:41 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/wait.h:
          Moved to sys/

Fri Jun 30 15:55:52 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/posix/time.h:
        * pace/posix/time.inl:
        * pace/win32/time.h:
        * pace/win32/time.inl:
          Corrected type for timeptr arg for pace_mktime function.
          Corrected non-const arg for pace_strftime. (NOTE: The
          Solaris man page incorrectly documents the constness
          of the first argument.)

        * pace/posix/stdlib.inl:
        * pace/win32/stdlib.inl:
          Corrected void return value for srand.

Fri Jun 30 15:05:08 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/posix/TODO:
          Added testing with and without PACE_HAS_POSIX_PTHREAD_SEMANTICS
          defined.

        * pace/win32/setjmp.h:
        * pace/win32/setjmp.inl:
        * pace/posix/setjmp.h:
        * pace/posix/setjmp.inl:
          Added pace_setjmp and pace_longjmp functions.

        * pace/posix/time.h:
        * pace/posix/time.inl:
        * pace/win32/time.h:
        * pace/win32/time.inl:
          Cleaned up comments and added functions pace_asctime,
          pace_ctime, pace_gmtime, pace_localtime, pace_mktime,
          and pace_strftime.
          Removed unneeded PACE_HAS_POSIX_PTHREAD_SEMANTICS guards
          in .inl files.

        * pace/win32/stdlib.h:
        * pace/win32/stdlib.inl:
        * pace/posix/stdlib.h:
        * pace/posix/stdlib.inl:
          Added functions pace_abs, pace_atof, pace_bsearch, pace_qsort,
          pace_rand, and pace_srand.
          Added "Requires PACE_HAS_REENTRANT" comment for pace_rand_r
          in header files.

        * pace/Makefile:
          Added all 18 POSIX Units of Functionality components to
          be built as separate libaries as specified on the command
          line (just like ACE).

Fri Jun 30 10:10:53 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * tests/Posix_SP_Test.c:
          Fixed description. Fixed name value arg to sysconf to be
          POSIX. Added more extensive checking and output of values
          when a function succeeds.

        * pace/Makefile:
          Removed extraneous #INCLDIRS comment.

        * pace/posix/pthread.inl:
        * pace/posix/aio.inl:
          Casted away const from certain functions for LynxOS when
          their prototypes don't have const.

        * tests/Makefile:
          Moved PACE_SYSNAME definition below wrapper_macros.GNU so
          that cross-compiled platforms (e.g., LynxOS) can define
          PACE_SYSNAME.

        * pace/config/platform.h:
          Changed of PACE_HAS_POSIX for LynxOS from PACE_LYNX to
          PACE_LYNXOS.

Thu Jun 29 19:53:10 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/utility.h:

          (ENOTSUP) is not defined on win32. Added support.

Thu Jun 29 19:22:46 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/win32
          Altered syntax (#include pace/posix/file.h) left over
          from copying.

Thu Jun 29 16:42:31 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/posix/pthread.{h,inl}:
        Changed pthead_condattr_init to pthread_condattr init
        and pace_pace_pthread... to pace_pthread...


Thu Jun 29 15:04:42 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/man/Makefile (index.html):
          Created PACE_DOC++ as executable to invoke and assigned
          /project/doc/pkg/bin/doc++ to it.

        * pace/posix/assert.h:
          Removed extraneous '.' in comment.

Thu Jun 29 15:04:42 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/posix/aio.h:
        * pace/posix/assert.h:
        * pace/posix/ctype.h:
        * pace/posix/dirent.h:
        * pace/posix/fcntl.h:
        * pace/posix/grp.h:
        * pace/posix/locale.h:
        * pace/posix/math.h:
        * pace/posix/mman.h:
        * pace/posix/mqueue.h:
        * pace/posix/pthread.h:
        * pace/posix/pwd.h:
        * pace/posix/sched.h:
        * pace/posix/semaphore.h:
        * pace/posix/setjmp.h:
        * pace/posix/signal.h:
        * pace/posix/stdio.h:
        * pace/posix/stdlib.h:
        * pace/posix/string.h:
        * pace/posix/time.h:
        * pace/posix/unistd.h:
        * pace/posix/utime.h:
        * pace/posix/wait.h:
          Adding doc++ html man comments.

        * pace/posix/stdio.{h,inl} (pace_printf):
          Removed pace_snprintf and pace_vsprint functions since they
          are not POSIX.

Thu Jun 29 14:47:19 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/posix/stdio.inl (pace_printf):

        * pace/man/pace.jpg:
          JPEG file of the PACE icon used in the html man pages.

        * pace/man/banner:
          Created banner file that is inserted at the bottom of
          the generated html man pages. This file contains the
          PACE logo pointing to the PACE Web page.

        * pace/man/Makefile:
          Created Makefile for the html man pages using doc++

Thu Jun 29 09:21:19 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/man/Makefile:

        * pace/config/config.h:
          Changed C++ // comment to C /* */ comment. The compiler
          (appropriately) choked on the former.

        * pace/Makefile:
          Moved defining PACE_SYSNAME until after all the macro and rules
          files are included. Otherwise, PACE_SYSNAME was not getting
          defined for LynxOS.

        * pace/posix/types.h:
          Put an #if defined (PACE_SUNOS) guard around inclusion of
          inttypes.h since this file isn't found on Lynx.

Thu Jun 29 02:38:52 2000  John Heitmann  <jwh1@cs.wustl.edu>

        * pace/posix/mman.inl:
          Added cast to char* from void* in param passing.

        * pace/posix/stdio.h:
        * pace/posix/stdio.c:
          Changed *printf from macros to functions.

        * pace/posix/unistd.c:
        * pace/posix/unistd.h:
          Changed the macros execl, execle, execlp to functions.

Wed Jun 28 11:18:17 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/Makefile:
        * tests/Makefile:
          Modified to make PACE_ROOT $(ACE_ROOT)/PACE rather than the
          previous value of $(ACE_ROOT)/pace.

Wed Jun 28 09:32:29 2000  David L. Levine  <levine@cs.wustl.edu>

        * pace/config/config.h: added platform-dependent determination
          of PACE_HAS_REENTRANT.  Also, wrapped all of the PACE_HAS...
          #defines with a check to see if it had already been defined.

        * pace/posix/stdlib.inl (pace_rand_r): use PACE_HAS_REENTRANT,
          now that the platform-dependent code is in pace/config/config.h.

Wed Jun 28 09:21:07 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * tests/Makefile:
        * pace/Makefile:
          Changed inlining to be the default.

Tue Jun 27 23:09:34 2000 John Heitmann <jwh1@cs.wustl.edu>

        * pace/posix/unistd.h:
        * pace/posix/termios.inl:
          Added #includes of <unistd.h> and <termios.h> to preclude
          undeclared token warnings without inlining enabled.

        * pace/posix/pwd.inl:
          Added PACE_UNUSED_ARG where needed.

Tue Jun 27 22:03:52 2000  David L. Levine  <levine@cs.wustl.edu>

        * pace/posix/stdlib.inl (pace_rand_r): on Linux and
          SunOS, rand_r isn't available if certains macros
          aren't defined, so reflect that.  rand_r doesn't
          appear anywhere in the LynxOS 3.1.0 headers, so
          NO_SUPPORT there as well.

Tue Jun 27 16:35:20 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/posix/aio.h:
          Removed copyrighted Solaris man text that accidentally get
          committed to the repository and replaced it with text to
          denote what really needs to go there.

Tue Jun 27 14:32:40 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/posix/aio.h:

        * tests/Makefile (ACELIB):
          Defining PACE_HAS_INLINE from the Makefile and adding the PACE
          library if we are not inlining.

        * pace/posix/stdio.inl:
          Removed function since it's now a macro in the header file.

        * pace/posix/stdio.h:
          Changed pace_sprintf from a function to a macro because of
          compilation warnings. Can be changed later.

        * pace/config/compiler.h (PACE_INLINE):
          Changed definition of PACE_INLINE depending on if PACE_HAS_INLINE
          is defined.

        * pace/config/features.h:
          Removed PACE_HAS_INLINE from here since the Makefile now
          defines it.

        * pace/Makefile:
          Defining PACE_HAS_INLINE from the Makefile.

Tue Jun 27 11:23:41 2000  David L. Levine  <levine@cs.wustl.edu>

        * pace/posix/pthread.{h,inl} (pthread_cleanup_{push,pop}):
          replaced these inline functions with macros.  They're
          supposed to be used in the same block; pthread_cleanup_pop
          refers to a local object that pthread_cleanup_push declares.
          I don't see how to implement that with inline functions.

Tue Jun 27 10:11:00 2000 John Heitmann <jwh1@cs.wustl.edu>

        * pace/tests/Posix_SP_Test.c
        * pace/tests/Stdio_Test.c
        * pace/pace/posix/time.inl
          Added more PACE_UNUSED_ARG

Tue Jun 27 9:51:43 2000 John Heitmann <jwh1@cs.wustl.edu>

        * pace/tests/Makefile
          Changed VLDLIBS := to +=

        * pace/tests/Posix_SP_Test.c
          Included pace/stdio.h

Mon Jun 26 15:07:08 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/pace/win32/pace.dsw:
        * pace/pace/win32/pace_dll.dsp:
        * pace/pace/win32/pace_lib.dsp:

          Updated to link correctly.

Mon Jun 26 13:27:02 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/pace/win32/pace.dsw:
        * pace/pace/win32/pace_dll.dsp:
        * pace/pace/win32/pace_lib.dsp:

          Added to repository.

Mon Jun 26 12:24:36 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/pace/posix/TODO:

          Updated.

        * pace/pace/win32/*.[h,inl,cpp] README TODO:

          Added to repository.

Mon Jun 26 11:03:00 2000 John Heitmann <jwh1@cs.wustl.edu>

        * pace/pace/posix/pwd.inl
        * pace/pace/posix/string.inl
        * pace/pace/posix/grp.inl
        * pace/pace/posix/dirent.inl

          Added PACE_UNUSED_ARG where needed.

Sat Jun 24 7:10 2000 <jwh1@cs.wustl.edu>

        * pace/pace/posix/unistd.inl
        * pace/pace/posix/signal.inl

          Added PACE_UNUSED_ARG where needed.

Wed Jun 21 18:50:04 2000  Luther J Baker  <luther@cs.wustl.edu>

        * in.h, inet.h, netdb.h, socket.h, strings.h, thread.h

          Not part of POSIX spec. Removed from pace.

Wed Jun 21 18:42:22 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/tests/Makefile:

          Copied changes Joe made to pace/pace/Makefile regarding
          platform definitions.

        * pace/config/config.h (PACE_HAS_EXTENSIONS):
        * pace/pace/posix/dirent.inl
        * pace/pace/posix/grp.inl
        * pace/pace/posix/mman.inl
        * pace/pace/posix/pwd.inl
        * pace/pace/posix/signal.inl
        * pace/pace/posix/stdio.inl
        * pace/pace/posix/stdlib.inl
        * pace/pace/posix/string.inl
        * pace/pace/posix/types.h
        * pace/pace/config/utility.h

          Removed deprecated definitions and non-posix functions.

Wed Jun 21 16:44:24 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/Makefile:
          Changed to define the PACE_`platform' values
          Change include directories to -I.. to resolve problems.

        * tests/Makefile:
          Change include directories to -I.. to resolve problems.

        * pace/config/platform.h:
          Modified platform #defines to PACE_`platform' (e.g., PACE_POSIX)

        * pace/posix/math.{h,inl}:
          Fixed pace_pow arguments

        * pace/posix/mman.{h,inl}:
        * pace/posix/aio.h:
        * pace/posix/locale.h:
        * pace/posix/pthread.{h,inl}:
        * pace/posix/stdio.h:
          Fixed syntax errors and typos

Wed Jun 21 13:15:47 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/posix/stdio.inl (pace_setbuf):

          Altered return value and fixed typos.

Tue Jun 20 15:39:26 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/compiler.h:

          Removed errant '\\' at end of lines and changed to '\'.

Tue Jun 20 15:31:43 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/posix/mman.h:
        * pace/posix/socket.h:
        * pace/posix/stat.h:
        * pace/posix/termios.h:
        * pace/posix/times.h:
        * pace/posix/types.h:
        * pace/posix/utsname.h:
        * pace/posix/in.h:
        * pace/posix/inet.h:
        * pace/posix/aio.h:
        * pace/posix/assert.h:
        * pace/posix/defines.h:
        * pace/posix/dirent.h:
        * pace/posix/fnctl.h:
        * pace/posix/grp.h:
        * pace/posix/limits.h:
        * pace/posix/locale.h:
        * pace/posix/mqueue.h:
        * pace/posix/netdb.h:
        * pace/posix/pthread.h:
        * pace/posix/pwd.h:
        * pace/posix/sched.h:
        * pace/posix/semaphore.h:
        * pace/posix/setjmp.h:
        * pace/posix/signal.h:
        * pace/posix/stdio.h:
        * pace/posix/stdlib.h:
        * pace/posix/string.h:
        * pace/posix/strings.h:
        * pace/posix/thread.h:
        * pace/posix/time.h:
        * pace/posix/unistd.h:
        * pace/posix/utime.h:
        * pace/posix/wait.h:

          Edited for consistency with previous entry.

          Removed #include "pace/defines.h".

Tue Jun 20 15:14:44 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/sys/mman.h:
        * pace/sys/socket.h:
        * pace/sys/stat.h:
        * pace/sys/termios.h:
        * pace/sys/times.h:
        * pace/sys/types.h:
        * pace/sys/utsname.h:
        * pace/netinet/in.h:
        * pace/arpa/inet.h:
        * pace/aio.h:
        * pace/assert.h:
        * pace/defines.h:
        * pace/dirent.h:
        * pace/fnctl.h:
        * pace/grp.h:
        * pace/limits.h:
        * pace/locale.h:
        * pace/mqueue.h:
        * pace/netdb.h:
        * pace/pthread.h:
        * pace/pwd.h:
        * pace/sched.h:
        * pace/semaphore.h:
        * pace/setjmp.h:
        * pace/signal.h:
        * pace/stdio.h:
        * pace/stdlib.h:
        * pace/string.h:
        * pace/strings.h:
        * pace/thread.h:
        * pace/time.h:
        * pace/unistd.h:
        * pace/utime.h:
        * pace/wait.h:

          Inserted #include "pace/config/defines.h".

        * pace/config/defines.h:

          Removed from pace/ dir and placed in config dir.

Tue Jun 20 14:53:12 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/defines.h:

          This file needs to be included first! It was calling #including
          itself from the posix directory but was doing so off of macros
          that itself defined.

Mon Jun 19 05:03:53 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/posix/ctype.h
        * pace/posix/ctype.inl
        * pace/posix/math.h
        * pace/posix/math.inl

          Correct functions added and implemented. _POSIX_C_LANG_SUPPORT.

Mon Jun 19 04:34:34 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/sys/mman.h:
        * pace/sys/socket.h:
        * pace/sys/stat.h:
        * pace/sys/termios.h:
        * pace/sys/times.h:
        * pace/sys/types.h:
        * pace/sys/utsname.h:
        * pace/netinet/in.h:
        * pace/arpa/inet.h:
        * pace/aio.h:
        * pace/assert.h:
        * pace/defines.h:
        * pace/dirent.h:
        * pace/fnctl.h:
        * pace/grp.h:
        * pace/limits.h:
        * pace/locale.h:
        * pace/mqueue.h:
        * pace/netdb.h:
        * pace/pthread.h:
        * pace/pwd.h:
        * pace/sched.h:
        * pace/semaphore.h:
        * pace/setjmp.h:
        * pace/signal.h:
        * pace/stdio.h:
        * pace/stdlib.h:
        * pace/string.h:
        * pace/strings.h:
        * pace/thread.h:
        * pace/time.h:
        * pace/unistd.h:
        * pace/utime.h:
        * pace/wait.h:

          Altered these files #ifdef macro to PACE_FILE_H_INDIRECT so that the
          implementation pace/posix/*.h files didn't conflict with the preprocessor
          name space.

          Fully qualified all the includes in these files from #include "posix/file.h"
          to #include "pace/posix/file.h"

Mon Jun 19 03:57:37 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/ctype.h:
        * pace/posix/ctype.h:
        * pace/posix/ctype.inl:
        * pace/posix/ctype.c:

        * pace/math.h:
        * pace/posix/math.h:
        * pace/posix/math.inl:
        * pace/posix/math.c:

          Added to repository.

Sat Jun 17 17:24:47 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/sys/mman.h:
        * pace/sys/socket.h:
        * pace/sys/stat.h:
        * pace/sys/termios.h:
        * pace/sys/times.h:
        * pace/sys/types.h:
        * pace/sys/utsname.h:
        * pace/netinet/in.h:
        * pace/arpa/inet.h:

          Altered these "root" files to include the correct
          subdirectory/file.

Sat Jun 17 16:46:39 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/aio.h:
        * pace/assert.h:
        * pace/defines.h:
        * pace/dirent.h:
        * pace/fnctl.h:
        * pace/grp.h:
        * pace/limits.h:
        * pace/locale.h:
        * pace/mqueue.h:
        * pace/netdb.h:
        * pace/pthread.h:
        * pace/pwd.h:
        * pace/sched.h:
        * pace/semaphore.h:
        * pace/setjmp.h:
        * pace/signal.h:
        * pace/stdio.h:
        * pace/stdlib.h:
        * pace/string.h:
        * pace/strings.h:
        * pace/thread.h:
        * pace/time.h:
        * pace/unistd.h:
        * pace/utime.h:
        * pace/wait.h:

          Altered these "root" files to include the correct
          subdirectory/file.

Fri Jun 16 17:47:59 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/pace/config/features.h

          Added to the repository to isolate user defined features.
          (ie: PACE_HAS_INLINE)

        * pace/pace/config/compiler.h

          Added *hack* to cover PACE_INLINE to static, inline
          or (blank) expansion depending on the compiler.

        * pace/pace/config/platform.h
        * pace/pace/config/config.h
        * pace/pace/config/utility.h

          Cleaned up source.

        * pace/pace/common/README
        * pace/pace/common

          Removed from the repository. Not used for anything.

        * pace/pace/*.h

          Started adding code to include the correct directory
          here, but there seems to be a better way... :-) We will
          wait and see. Do away with these .h files and simply
          go to the correct directory via the makefile.

Fri Jun 16 16:15:25 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/Makefile:
          Added POSIX Units of Functionality targets for libraries.

        * pace/{assert,locale}.h:
        * pace/posix/{assert,locale}.{h,inl,c}:
          Added new POSIX APIs for assert and setlocale.

        * pace/posix/stdio.{h,inl}:
          Added needed POSIX APIs.

        * pace/config/{compile,temp}.h:
          Redefined PACE_UNUSED_ARG and moved from temp.h to compile.h.

        * pace/posix/aio.inl:
          Made some formatting changes.

Fri Jun 16 16:05:52 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * tests/{Makefile,Stdio_Test,Posix_SP_Test.c}:
          Updated the tests to more informational and adding uname -s
          information for some different platforms.

Fri Jun 16 14:11:44 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/posix/*.h

          Added all .h files to posix directory. The implementation
          specific .h files are simply lumped together into one large
          directory while the original interface files are still
          found in the similarly names sunos directory.

          SunOS dirs (sys, netinet, arpa) ==> PACE implementation dir
          - - - -                             - - - -
          (pace/pace/sys/types.h          ==> pace/pace/posix/types.h)
          (pace/pace/unistd.h             ==> pace/pace/posix/unistd.h)

Thu Jun 15 13:49:14 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/defaults.h

          Removed superfluous defaults originally copied
          from ACE_OS.

Mon Jun 12 17:23:59 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/constants.h:

          Added POSIX minimum values in PACE format.

        * pace/config/platform.h (PACE_LINUX):

          Removed ACE code that shouldn't be included in PACE files.
          Deprecated macro that did not follow our current pattern.
          Added PACE_LINUX macro.

Mon Jun 12 15:41:51 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/compiler.h:

          Deprecated PACE_HAS_CPLUSPLUS.
          Current PACE_CPLUSPLUS

          We will save the 'HAS' for user defined feature macros.
          Anytime we are renaming a current macro, we will just
          prepend PACE_'xxx'. See the next ChangeLog entry. The
          same motivation applies. Once I change the source code
          to reflect this idea, I will remove the deprecated
          macro names.

          Moved error stuff from 'codes.h' to compiler.

        * pace/config/codes.h"

          Removed from repository.

        * pace/defines.h:

          Removed #include "codes.h" from repository.

Fri Jun  9 14:05:25 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/compiler.h:
        * pace/config/config.h:

          Moved PACE_HAS_INLINE from compiler.h to config.h.

          Deprecated macros. Left in but I will removed the
          deprecated macros once I change the code to use the
          current macros.

Fri Jun  9 13:02:26 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/*.h pace/posix/*.inl,c

          See config/types.h from previous ChangeLog. All these
          types are altered in the source code. (ie: pthread_t
          became pace_pthread_t).

          perl -pi -e `s/pid_t/pace_pid_t/` *.h posix/*.inl posix/*.c

Fri Jun  9 12:20:23 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/types.h:

          These are posix types in pace wrappers.
          They are macro definitions. The actual types are not
          available until the appropriate file is included.
          Thus, I didn't put them into pace/sys/types.h.

        * pace/pace/defines.h

          Added pace/config/types.h.

Thu Jun  8 15:10:24 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/tests/{Makefile,Posix_SP_Test.c}:
          Added new test for POSIX_SINGLE_PROCESS unit of functionality
          and updated Makefile for changes to the PACE library directory
          structure.

Thu Jun  8 15:10:24 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/pace/*.h:
        * pace/pace/arpa/*.h:
        * pace/pace/netinet/*.h:
        * pace/pace/sys/*.h:
          Modifying .h files to remove any path in front of .inl files.

        * pace/pace/posix/*.c:
          Modifying .c files to remove any path in front of .inl files.

        * pace/pace/posix/time.inl
          Changed PACE_SETERNNO to PACE_SET_ERRNO

Thu Jun  8 15:03:42 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/pace/Makefile:
          Added support for PACE_SYSNAME to determine appropriate platform
          subdirectory for VPATH and INCLDIRS.

Thu Jun  8 14:44:39 2000  Luther J Baker  <luther@cs.wustl.edu>

        * ../pace/linux/README
        * ../pace/linux
        * ../pace/sunos/README
        * ../pace/sunos
        * ../pace/emulation

          Removed from reposistory.

        * ../pace/linux/TODO

          Moved to ../pace/posix/TODO

        * ../pace/pace.dsw

          Moved to ../pace/win32/pace.dsw.
          Hi Darrell. This takes all traces of win32 stuff out of
          the main dir and although its slightly different than
          ace or tao, we are using our directories a little
          differently here. Nanbor thought that is might be ok so
          I will try it here until it breaks? or someone has good
          reason to move it back.

Thu Jun  8 12:09:56 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * pace/pace/sunos/*.{c,inl}:
          Removed files and put them in the posix subdirectory.
        * pace/pace/linux/*.{c,inl}:
          Removed files and put them in the posix subdirectory.
        * pace/pace/posix/*.{c,inl}:
          Added files from the linux/sunos subdirectories. (The files
          were identical from both directories aside from the ChangeLog,v 1.311 2001/12/12 18:34:47 joeh Exp macro,
          i.e., the person who checked them in.)

Wed Jun  7 12:27:13 2000  Joe Hoffert  <joeh@cs.wustl.edu>

        * Makefile:
          Added Makefile for upper level pace directory.
        * pace/Makefile:
          Changed Makefile to fit in with the general makefile scheme in
          ACE and TAO.
        * config/compiler.h:
          Defined PACE_HAS_INLINE even for C files so that the functions
          will be directly added with the .h file.
        * tests/{Makefile,Stdio_Test.c,Posix_SP_Test.c}:
          Adding Makefile and tests to the tests directory.

Mon Jun  5 17:43:07 2000  Luther J Baker  <luther@cs.wustl.edu>

        * docs/todo.txt:

          Updated. You may go here to find current
          responsibilities.

Mon Jun  5 17:22:23 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/paces.dsp
        * pace/pacesd.dsp

          Removed from the repository.
          These files are generated (ie: paces.lib),
          not project files.

Mon Jun  5 17:19:30 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/THANKS:

          Added John Heitmann, Andrew Gilpin and Darrell Brunsch.
          Note: names and email addresses are nicely accesible
          from this alphabetical file.

Mon Jun  5 17:04:36 2000  Andrew G. Gilpin  <agg1@cs.wustl.edu>

        * [inl,c]

          Commited files to the repository in pace/linux

        * aio, dirent, fcntl, grp, in, inet, mman, mqueue,
          netdb, pthread, pwd, sched, semaphore, setjmp,
          signal, socket, stat, stdio, stdlib, string,
          strings, termios, time, times, unistd, utime,
          utsname, wait

Mon Jun  5 16:47:32 2000  Luther J Baker  <luther@cs.wustl.edu>

        * [inl,c]

          Moved files from root directory to pace/sunos.

        * aio, dirent, fcntl, grp, in, inet, mman, mqueue,
          netdb, pthread, pwd, sched, semaphore, setjmp,
          signal, socket, stat, stdio, stdlib, string,
          strings, termios, time, times, unistd, utime,
          utsname, wait

Mon Jun  5 15:23:53 2000  Luther J Baker  <luther@cs.wustl.edu>

        * /pace/linux
        * /pace/linux/README

          Added to repository.

        * /pace/emulation
        * /pace/emulation/README

          Removed from repository.

Fri Jun 02 16:55:10 2000    <luther@cs.wustl.edu>

        * ACE_wrappers/pace/pace/paces.dsp
        * ACE_wrappers/pace/pace/pacesd.dsp

          Added to repository. Naming consistency with other
          ACE libraries. Also removed pre-compiled header
          option as well as separate directories for debug
          and release versions of software.

        * ACE_wrappers/pace/pace/pace_lib.dsp

          Removed from repository. Naming consistency.

Thu Jun  1 17:41:04 2000  Luther J Baker  <luther@cs.wustl.edu>

        * ACE_wrappers/pace/pace/emulation
        * ACE_wrappers/pace/pace/common
        * ACE_wrappers/pace/pace/emulation/README
        * ACE_wrappers/pace/pace/common/README

          Added to repository.


Thu Jun  1 17:18:17 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/config/config_sunos5.7.h:
          Removed from repository.

        * ACE_wrappers/pace/pace/posix/README
        * ACE_wrappers/pace/pace/win32/README
        * ACE_wrappers/pace/pace/vxworks/README

          Added to repository to keep the directories visible.


Thu Jun 01 16:50:48 2000    <luther@cs.wustl.edu>

        * ACE_wrappers/pace/pace/pace.dsw
        * ACE_wrappers/pace/pace/pace_lib.dsp

          Added to the repository.

Tue May 30 16:54:06 2000  Luther J Baker  <luther@cs.wustl.edu>

        * THANKS:
          Added key people to this file.

Tue May 30 14:13:00 2000  Luther J Baker  <luther@cs.wustl.edu>

        * ACE_wrappers/pace/pace/posix
        * ACE_wrappers/pace/pace/win32
        * ACE_wrappers/pace/pace/vxworks
        * ACE_wrappers/pace/THANKS

          Added to the repository to facilitate cross-platform work.

Wed May 24 18:56:16 2000  Darrell Brunsch <brunsch@uci.edu>

        * docs/ACE_Integration.txt: (added)

          For the PACE crew, a file used to document our progress in
          splitting of ACE_OS and the PACE integration.

Wed May 24 14:40:41 2000  Luther J Baker  <luther@cs.wustl.edu>

        * README/VERSION:
          Added to repository.

Tue May 23 18:22:48 2000  Luther J Baker  <luther@cs.wustl.edu>

        * pace/pace/Makefile:
          Added to repository.

        * 'touch' to force dirs to show up with cvs co -P
          pace/docs/README
          pace/examples/README
          pace/pace/README
          pace/pace++/README
          pace/tests/README

Tue May 23 17:59:06 2000  Luther J Baker  <luther@cs.wustl.edu>

        * docs/todo.txt:
          Currently, all .o files appear in the
          ACE_wrappers/pace/pace directory (e.g.: nested
          files such as pace/pace/sys/socket.c generate
          pace/pace/socket.o. See pace/docs/todo.txt.

        * ACE_wrappers/pace/pace:
          Source files added.
